//   Standard File

////////////////////////////////////////////////////
// RenriVer8.70  DllLibrary Arduino  0.01         //
// c source builder by  SEQ_CBuilder V            //
// TargetCPU = ESP32(WROOM32)                     //
// make  altplsplf.ino File  2019/02/11 18:39     //
////////////////////////////////////////////////////
// device_list //
 // X0021 	X0023 	// XDevice = 2
 // Y0018 	Y0019 	// YDevice = 2 
 // M0000 	M0010 	// MDevice = 2  
 // // DDevice = 0  
 // // TDevice = 0  
 // // CDevice = 0  
 // // LDevice = 0  
 // // rDevice = 0  
 // // device_list //

#include "altplsplf.h";


void setup(){
	 byte		tmp;

	 int		count = 0;
	 for (byte i=0; i<sizeof(in_no); i++) {
	 	 pinMode(in_no[i],INPUT);
	 }
	 for (byte i=0; i<sizeof(out_no); i++) {
	 	 pinMode(out_no[i],OUTPUT);
	 } 
	 
	 lasttime = micros(); // 時間の取得（ us単位 ）
	 lasttime_ms = millis(); // 時間の取得（ ms単位 )
	 q = 0x01;
	 SET_E_ON(M9038,0);     //  1スキャンＯＮリレーの生成
	 SET_E_ON(M9036,0);     //  常時ＯＮリレーの生成
	 SET_E_OFF(M9037,0);    // 常時ＯＦＦリレーの生成
}

////////////////////////////// Loop 開始(スキャンプログラム) //////////////////////////////
void loop(){			// 

	 int tmp;				// 
	 time_refresh();		// 時間の更新処理
	 link_refresh();		//	リンクリフレッシュ処理
	 special_refresh();	// 特殊リレーの更新処理
	 output_refresh();	// 出力更新処理
	 input_refresh();		// 入力更新処理
	 ldlg = 0x0; //  ブロック用変数;
	 aax = 0x0;  // 回路の状態保持変数;
	 trlg = 0x0; // ＭＰＳ／ＭＲＤ／ＭＰＰ;
	 iix = 0x01; // ＭＣ用変数の初期化;
	 ;
// LD(01) 
	 ldlg = (ldlg << 1) | (aax << 1); //
	 aax = 0x0; //
	 flag = GET_X(X0021,21);
	 if (flag){ //
	 	 aax |= 0x01; //
	 }//
//
// PLS(1D) 
	 if (aax & iix) {
	 	 if (!GET_UTRG(UTRG0000,0)) {
	 	 	 SET_M_ON(M0000,0);
	 	 	 SET_UTRG_ON(UTRG0000,0);
	 	 } else { 
	 	 	 SET_M_OFF(M0000,0);
	 	 } 
	 } else { 
	 	 SET_M_OFF(M0000,0);
	 	 SET_UTRG_OFF(UTRG0000,0);
	 }  
	 
// LD(01) 
	 ldlg = (ldlg << 1) | (aax << 1); //
	 aax = 0x0; //
	 flag = GET_M(M0000,0);
	 if (flag){ //
	 	 aax |= 0x01; //
	 }//
//
// ANI(04) 
	 flag = GET_Y(Y0018,18);
	 if ( flag ){ //
	 	 aax &= ~0x01; //
	 }//
//
// LDI(02) 
	 ldlg = (ldlg << 1) | (aax << 1); //
	 aax = 0x0; //
	 flag = GET_M(M0000,0);
	 if ( ! flag ){ //
	 	 aax |= 0x01; //
	 }//
//
// AND(03) 
	 flag = GET_Y(Y0018,18);
	 if ( ! flag ){ //
	 	 aax &= ~0x01; //
	 }//
//
// ORB(08) 
	 ldlg >>= 1; 
	 aax |= (ldlg & 0x01); 
// OUTR(0F) 
	 if (aax & iix) { 
	 	 SET_Y_ON(Y0018,18);
	 } else { 
	 	 SET_Y_OFF(Y0018,18);
	 }
	 
// LD(01) 
	 ldlg = (ldlg << 1) | (aax << 1); //
	 aax = 0x0; //
	 flag = GET_X(X0023,23);
	 if (flag){ //
	 	 aax |= 0x01; //
	 }//
//
// PLF(1E) 
	 
	 if (!(aax & iix)) {
	 	 if (!GET_UTRG(UTRG0001,1)) {
	 	 	 if (!GET_E(M9038,9038)) {
	 	 	 	 SET_M_ON(M0010,10);
	 	 	 } 
	 	 	 SET_UTRG_ON(UTRG0001,1);
	 	 } else { 
	 	 	 SET_M_OFF(M0010,10);
	 	 } 
	 } else { 
	 	 SET_M_OFF(M0010,10);
	 	 SET_UTRG_OFF(UTRG0001,1);
	 }  
	 
// LD(01) 
	 ldlg = (ldlg << 1) | (aax << 1); //
	 aax = 0x0; //
	 flag = GET_M(M0010,10);
	 if (flag){ //
	 	 aax |= 0x01; //
	 }//
//
// ANI(04) 
	 flag = GET_Y(Y0019,19);
	 if ( flag ){ //
	 	 aax &= ~0x01; //
	 }//
//
// LDI(02) 
	 ldlg = (ldlg << 1) | (aax << 1); //
	 aax = 0x0; //
	 flag = GET_M(M0010,10);
	 if ( ! flag ){ //
	 	 aax |= 0x01; //
	 }//
//
// AND(03) 
	 flag = GET_Y(Y0019,19);
	 if ( ! flag ){ //
	 	 aax &= ~0x01; //
	 }//
//
// ORB(08) 
	 ldlg >>= 1; 
	 aax |= (ldlg & 0x01); 
// OUTR(0F) 
	 if (aax & iix) { 
	 	 SET_Y_ON(Y0019,19);
	 } else { 
	 	 SET_Y_OFF(Y0019,19);
	 }
	 
// END(10) 
	 output_refresh();	// 出力更新処理
	// Serial.println();
	 SET_E_OFF(M9038,0);

}
////////////////////////////// Loop 終了 //////////////////////////////
