//   Professional File

////////////////////////////////////////////////////
// RenriVer 8.74  DllLibrary Arduino  0.05         //
// c source builder by  SEQ_CBuilder V             //
// TargetCPU = ESP32(WROOM32) Library=M5Stack      //
// make     jrelay.ino File  2020/02/03 08:43 //
////////////////////////////////////////////////////
// device_list //
 // X0002 	X0005 	// XDevice = 2
 // // YDevice = 0 
 // M0000 	M0001 	// MDevice = 2  
 // // DDevice = 0  
 // // TDevice = 0  
 // // CDevice = 0  
 // // LDevice = 0  
 // // rDevice = 0  
 // J000000 	J000100 	J005900 	J006300 	// jDevice = 4 
//// device_list //

#include  <M5Stack.h>
#include <Wire.h>
#include "jrelay.h";
// 0,0,22



// マイコンが起動するときに１度だけ呼び出される関数です。
// 主に初期化処理やデバイスの初期化のプログラムをユーザー側で作成します。
void setup(){
	 byte		tmp;

	 // M5Stackを使用する前の初期化関数の呼び出し
	 M5.begin();
	 dacWrite(25,0); // Speakerの出力を消す
	 
	 // プログラム書込みのシリアルポートを使用する場合は、以下の行のコメントを削除してください。
	 // Serial.begin(115200);
	 // Serial.println("setup start");


// デバッグ用のシリアル通信出力 
	 Serial.begin(115200);	// 通信速度：115200bps,データ長8bit,ストップビット1bit,パリティなし
	 for (byte i=0; i<sizeof(in_no); i++) {
	 	 pinMode(in_no[i],INPUT);
	 }
	 
	 input_refresh();		// 入力更新処理
	 
	 
	 lasttime = micros(); // 時間の取得（ us単位 ）
	 lasttime_ms = millis(); // 時間の取得（ ms単位 )
	 q = 0x01;
	 SET_E_ON(M9038,0);     //  1スキャンＯＮリレーの生成
	 SET_E_ON(M9036,0);     //  常時ＯＮリレーの生成
	 SET_E_OFF(M9037,0);    // 常時ＯＦＦリレーの生成
	 initMCP(7, (unsigned short)MCP_CH7_TRIS);	// CH7 MCP23017初期化処理
	 // Serial.println("setup end");
}


// Ａｒｄｕｉｎｏがプログラムの実行時、繰り返し呼び出す関数です。
// loop関数の処理が終わるとＡｒｄｕｉｎｏの必要な処理を行います。
// その処理が終われば、再度Ａｒｄｕｉｎｏがloop関数を呼び出します。
////////////////////////////// Loop 開始(スキャンプログラム) //////////////////////////////
void loop(){			// 

	 int tmp;				// 
	 time_refresh();		// 時間の更新処理
	 link_refresh();		//	リンクリフレッシュ処理
	 special_refresh();	// 特殊リレーの更新処理
	 input_refresh();		// 入力更新処理
	 mcp_refresh();		// MCP更新処理
	 ldlg = 0x0; //  ブロック用変数;
	 aax = 0x0;  // 回路の状態保持変数;
	 trlg = 0x0; // ＭＰＳ／ＭＲＤ／ＭＰＰ;
	 iix = 0x01; // ＭＣ用変数の初期化;
	 ;
//00009001 00000170 00000000 00000001 00000000 00000000
// // // LD b0 D0 B1 P0 F0 L0 BIN0 X0170 0 0 
 // LD
// LD(01) 
	 ldlg = (ldlg << 1) | (aax << 1); //
	 aax = 0x0; //
	 flag = GET_MCPX(X0170,0x170);
	 if (flag){ //
	 	 aax |= 0x01; //
	 }//
//
//00008005 00000002 00000000 00000001 00000000 00000001
// // // OR b0 D0 B0 P0 F0 L0 BIN0 X0002 0 1 
 // OR 
// OR(05) 
	 flag = GET_X(X0002,2);
	 if (flag){ //
	 	 aax |= 0x01; //
	 }//
//
//00008004 0000017F 00000000 00000002 00000000 00100000
// // // ANI b0 D0 B0 P0 F0 L0 BIN0 X017F 1 0 
 // ANI 
// ANI(04) 
	 flag = GET_MCPX(X017F,0x17F);
	 if ( flag ){ //
	 	 aax &= ~0x01; //
	 }//
//
//0000800C 00000000 00000000 00000000 00000000 00200000
// // MPS b0 D0 B0 P0 F0 L0 BIN0 2 0 
 // MPS 
// MPS(0C) 
	 trlg = (trlg << 1) | (aax); 
//0000800F 20000000 00000000 00000007 00000000 00B00000
// // // OUTR b0 D0 B0 P0 F0 L0 BIN0 M0000 11 0 
 // OUT 
// OUTR(0F) 
	 if (aax & iix) { 
	 	 // 条件が成立時マイスキャン実行されます。
	 	 SET_M_ON(M0000,0);
	 } else { 
	 	 SET_M_OFF(M0000,0);
	 	 // 条件が不成立時マイスキャン実行されます。
	 }
	 
//0000800F F0000000 00000000 00000007 00000000 00B00001
// // // OUTR b0 D0 B0 P0 F0 L0 BIN0 J0000 11 1 
 // OUT 
// OUTR(0F) 
	 if (aax & iix) { 
	 	 // 条件が成立時マイスキャン実行されます。
	 	 SET_J_ON(0x0);
	 } else { 
	 	 if(GET_J(0x0)==( 0xdcb97c & 0xff ) ){ JRelay[ (0xdca358 & 0xff00)>>8] = 0xff;}
//	 	 SET_J_OFF(0x0);
	 	 // 条件が不成立時マイスキャン実行されます。
	 }
	 
//0000800E 00000000 00000000 00000000 00000000 00200000
// // MPP b0 D0 B0 P0 F0 L0 BIN0 2 0 
 // MPP 
// MPP(0E) 
	 aax = 0; 
	 aax |= (trlg & 0x1); 
	 trlg >>= 0x1; 
//0000800F F0000063 00000000 00000007 00000000 00B00002
// // // OUTR b0 D0 B0 P0 F0 L0 BIN0 J0063 11 2 
 // OUT 
// OUTR(0F) 
	 if (aax & iix) { 
	 	 // 条件が成立時マイスキャン実行されます。
	 	 SET_J_ON(0x63);
	 } else { 
	 	 if(GET_J(0x63)==( 0xdcb97c & 0xff ) ){ JRelay[ (0xdca358 & 0xff00)>>8] = 0xff;}
//	 	 SET_J_OFF(0x63);
	 	 // 条件が不成立時マイスキャン実行されます。
	 }
	 
//00009001 0000017F 00000000 00000001 00000000 00000003
// // // LD b0 D0 B1 P0 F0 L0 BIN0 X017F 0 3 
 // LD
// LD(01) 
	 ldlg = (ldlg << 1) | (aax << 1); //
	 aax = 0x0; //
	 flag = GET_MCPX(X017F,0x17F);
	 if (flag){ //
	 	 aax |= 0x01; //
	 }//
//
//00008005 00000005 00000000 00000001 00000000 00000004
// // // OR b0 D0 B0 P0 F0 L0 BIN0 X0005 0 4 
 // OR 
// OR(05) 
	 flag = GET_X(X0005,5);
	 if (flag){ //
	 	 aax |= 0x01; //
	 }//
//
//00008004 00000170 00000000 00000002 00000000 00100003
// // // ANI b0 D0 B0 P0 F0 L0 BIN0 X0170 1 3 
 // ANI 
// ANI(04) 
	 flag = GET_MCPX(X0170,0x170);
	 if ( flag ){ //
	 	 aax &= ~0x01; //
	 }//
//
//0000800C 00000000 00000001 00000000 00000000 00200004
// // MPS b0 D0 B0 P0 F0 L0 BIN0 2 4 
 // MPS 
// MPS(0C) 
	 trlg = (trlg << 1) | (aax); 
//0000800F 20000001 00000000 00000007 00000000 01B00003
// // // OUTR b0 D0 B0 P0 F0 L0 BIN0 M0001 27 3 
 // OUT 
// OUTR(0F) 
	 if (aax & iix) { 
	 	 // 条件が成立時マイスキャン実行されます。
	 	 SET_M_ON(M0001,1);
	 } else { 
	 	 SET_M_OFF(M0001,1);
	 	 // 条件が不成立時マイスキャン実行されます。
	 }
	 
//0000800F F0000001 00000000 00000007 00000000 01B00005
// // // OUTR b0 D0 B0 P0 F0 L0 BIN0 J0001 27 5 
 // OUT 
// OUTR(0F) 
	 if (aax & iix) { 
	 	 // 条件が成立時マイスキャン実行されます。
	 	 SET_J_ON(0x1);
	 } else { 
	 	 if(GET_J(0x1)==( 0xdcb97c & 0xff ) ){ JRelay[ (0xdca358 & 0xff00)>>8] = 0xff;}
//	 	 SET_J_OFF(0x1);
	 	 // 条件が不成立時マイスキャン実行されます。
	 }
	 
//0000800E 00000000 00000001 00000000 00000000 00200004
// // MPP b0 D0 B0 P0 F0 L0 BIN0 2 4 
 // MPP 
// MPP(0E) 
	 aax = 0; 
	 aax |= (trlg & 0x1); 
	 trlg >>= 0x1; 
//0000800F F0000059 00000000 00000007 00000000 01B00006
// // // OUTR b0 D0 B0 P0 F0 L0 BIN0 J0059 27 6 
 // OUT 
// OUTR(0F) 
	 if (aax & iix) { 
	 	 // 条件が成立時マイスキャン実行されます。
	 	 SET_J_ON(0x59);
	 } else { 
	 	 if(GET_J(0x59)==( 0xdcb97c & 0xff ) ){ JRelay[ (0xdca358 & 0xff00)>>8] = 0xff;}
//	 	 SET_J_OFF(0x59);
	 	 // 条件が不成立時マイスキャン実行されます。
	 }
	 
//00009001 F0000059 00000000 00000001 00000000 01000006
// // // LD b0 D0 B1 P0 F0 L0 BIN0 J0059 16 6 
 // LD
// LD(01) 
	 ldlg = (ldlg << 1) | (aax << 1); //
	 aax = 0x0; //
	 flag = GET_J(0x59);
	 if (flag){ //
	 	 aax |= 0x01; //
	 }//
//
//0000800F 10000177 00000000 00000007 00000000 01B00006
// // // OUTR b0 D0 B0 P0 F0 L0 BIN0 Y0177 27 6 
 // OUT 
// OUTR(0F) 
	 if (aax & iix) { 
	 	 // 条件が成立時マイスキャン実行されます。
	 	 SET_MCPY_ON(Y0177,0x177);
	 } else { 
	 	 SET_MCPY_OFF(Y0177,0x177);
	 	 // 条件が不成立時マイスキャン実行されます。
	 }
	 
//00009001 F0000063 00000000 00000001 00000000 01000007
// // // LD b0 D0 B1 P0 F0 L0 BIN0 J0063 16 7 
 // LD
// LD(01) 
	 ldlg = (ldlg << 1) | (aax << 1); //
	 aax = 0x0; //
	 flag = GET_J(0x63);
	 if (flag){ //
	 	 aax |= 0x01; //
	 }//
//
//0000800F 10000178 00000000 00000007 00000000 01B00007
// // // OUTR b0 D0 B0 P0 F0 L0 BIN0 Y0178 27 7 
 // OUT 
// OUTR(0F) 
	 if (aax & iix) { 
	 	 // 条件が成立時マイスキャン実行されます。
	 	 SET_MCPY_ON(Y0178,0x178);
	 } else { 
	 	 SET_MCPY_OFF(Y0178,0x178);
	 	 // 条件が不成立時マイスキャン実行されます。
	 }
	 
//00009001 20001F40 00000000 00000001 00000000 01000008
// // // LD b0 D0 B1 P0 F0 L0 BIN0 M8000 16 8 
 //0000800F 20001F45 00000000 00000007 00000000 01B00008
// // // OUTR b0 D0 B0 P0 F0 L0 BIN0 M8005 27 8 
 //00009010 00000000 00000000 00000000 00000000 01B00009
// // END b0 D0 B1 P0 F0 L0 BIN0 27 9 
 // END 
// END(10) 
//	 M5.update(); 
	// Serial.println();
	 SET_E_OFF(M9038,0);

	
}
////////////////////////////// Loop 終了 //////////////////////////////
