﻿
unsigned short getSrcData(unsigned short *dataa,int maskno,int bcdf){
  unsigned short tmp=*dataa;
  unsigned short ans;
  unsigned short ketamask[] = { 0xffff,0xf,0xff,0xfff,0xffff};
  ans = tmp & ketamask[maskno];
  if(bcdf==1){
    ans = bcdbin(ans);    
  }
  return ans;
}

unsigned long getSrcData(unsigned long *dataa,int maskno,int bcdf){
  unsigned long tmp=*dataa;
  unsigned long ans;
  unsigned long ketamask[] = { 0xffffffff,0xf,0xff,0xfff,0xffff,0xfffff,0xffffff,0xfffffff,0xffffffff };
  ans = tmp & ketamask[maskno];
  if(bcdf==1){
    ans = bcdbin(ans);    
  }
  return ans;
}

short getSrcData(short *dataa,int maskno,int bcdf){
  short tmp=*dataa;
  short ans;
  short ketamask[] = { (short)0xffff,0xf,0xff,0xfff,(short)0xffff};
  ans = tmp & ketamask[maskno];
  if(bcdf==1){
    ans = bcdbin(ans);    
  }
  return ans;
}

long getSrcData(long *dataa,int maskno,int bcdf){
  long tmp=*dataa;
  long ans;
  long ketamask[] = { (long)0xffffffff,0xf,0xff,0xfff,0xffff,0xfffff,0xffffff,0xfffffff,(long)0xffffffff };
  ans = tmp & ketamask[maskno];
  if(bcdf==1){
    ans = bcdbin(ans);    
  }
  return ans;
}

short setDestData(short *dataa,short val,int maskno,int bcdf){
  short ans;
  short ketamask[] = { (short)0xffff,0xf,0xff,0xfff,(short)0xffff};
  short tmp=*dataa;
  
  if(bcdf==1){
    ans = binbcd(val);    
    if( GET_E(M9010,9010)==1){
      return -1;
    }
  }else {
    ans = val;
  }

  tmp = tmp & ~ketamask[maskno];
  ans = ans & ketamask[maskno];

  *dataa = ans | tmp;
  return *dataa;
}
unsigned short setDestData(unsigned short *dataa,unsigned short val,int maskno,int bcdf){
  unsigned short ans;
  unsigned short ketamask[] = { 0xffff,0xf,0xff,0xfff,0xffff};
  unsigned short tmp=*dataa;
  
  if(bcdf==1){
    ans = binbcd(val);    
    if( GET_E(M9010,9010)==1){
      return -1;
    }
  }else {
    ans = val;
  }

  tmp = tmp & ~ketamask[maskno];
  ans = ans & ketamask[maskno];

  *dataa = ans | tmp;
  return *dataa;
}

unsigned long setDestData(unsigned long *dataa,unsigned long val,int maskno,int bcdf){
  unsigned long ans;
  unsigned long ketamask[] = { 0xffffffff,0xf,0xff,0xfff,0xffff,0xfffff,0xffffff,0xfffffff,0xffffffff };
  unsigned long tmp=*dataa;
  
  if(bcdf==1){
    ans = binbcd(val);    
    if( GET_E(M9010,9010)==1){
      return -1;
    }
  } else {
    ans = val;
  }

  tmp = tmp & ~ketamask[maskno];
  ans = ans & ketamask[maskno];

  *dataa = ans | tmp;
  return *dataa;
}

long setDestData(long *dataa,long val,int maskno,int bcdf){
  long ans;
  long ketamask[] = { (long)0xffffffff,0xf,0xff,0xfff,0xffff,0xfffff,0xffffff,0xfffffff,(long)0xffffffff };
  long tmp=*dataa;
  
  if(bcdf==1){
    ans = binbcd(val);    
    if( GET_E(M9010,9010)==1){
      return -1;
    }
  } else {
    ans = val;
  }

  tmp = tmp & ~ketamask[maskno];
  ans = ans & ketamask[maskno];

  *dataa = ans | tmp;
  return *dataa;
}

int64_t setDestData(int64_t *dataa,int64_t val,int maskno,int bcdf){
  int64_t ans=0;
  int64_t tmp=*dataa;

  
  if(bcdf==1){
    ans = binbcd(val);

    if( GET_E(M9010,9010)==1){
      return -1;
    }
  } else {
    ans = val;
  }

  if (maskno >0){
    tmp=*dataa;
    for(int i=0; i<maskno;i++){
        ans |= val & ((0xf) << (i*4));
        tmp = tmp & ( ~(0xf) << (i*4) );
    }
  }else{
    tmp=0;
  }

  if( GET_E(M9010,9010)==0){
    *dataa = ans | tmp;
  }
  return *dataa;
}

uint64_t setDestData(uint64_t *dataa,uint64_t val,int maskno,int bcdf){
  uint64_t ans=0;
  uint64_t tmp;

  
  if(bcdf==1){
    Serial.print("binbcd(val)=");
    Serial.print((unsigned long)(val>>32 & 0xffffffff),HEX);
    Serial.print((unsigned long)(val & 0xffffffff),HEX);
    ans = binbcd(val);
    Serial.print("binbcd(ans)=");
    Serial.print((unsigned long)(ans>>32 & 0xffffffff),HEX);
    Serial.print((unsigned long)(ans & 0xffffffff),HEX);
    Serial.println("");

    if( GET_E(M9010,9010)==1){
      return -1;
    }
  } else {
    ans = val;
  }

  if (maskno >0){
    tmp=*dataa;
    for(int i=0; i<maskno;i++){
        ans |= val & ((0xf) << (i*4));
        tmp = tmp & ( ~(0xf) << (i*4) );
    }
  }else{
    tmp=0;
  }

  if( GET_E(M9010,9010)==0){
    *dataa = ans | tmp;
  }

    Serial.print("binbcd(dataa)=");
    Serial.print((unsigned long)(*dataa>>32 & 0xffffffff),HEX);
    Serial.print((unsigned long)(*dataa & 0xffffffff),HEX);
    Serial.println("");
  return *dataa;
}


