﻿
void InstSet(byte address, byte sendbyte) {			
   Wire.begin();
   Wire.beginTransmission(address);
   Wire.write(0x0);
   Wire.write(sendbyte);    // FUNCTION SET 8bit,N=1,5*7dot 
   Wire.endTransmission();
   delayMicroseconds(30);
}


void WriteChar(byte address,char sendbyte){
   Wire.begin();
   Wire.beginTransmission(address);
   Wire.write(0x40);
   Wire.write(sendbyte);    // FUNCTION SET 8bit,N=1,5*7dot 
   Wire.endTransmission();
   delayMicroseconds(30);    
}

void WriteStr(byte address,char *sendbyte){
   while(*sendbyte!=0){
     if((*sendbyte=='\r') || (*sendbyte=='\n')){
       InstSet(address,0x40|0x80);     
     } else {
       Wire.begin();
       Wire.beginTransmission(address);
       Wire.write(0x40);
       Wire.write(*sendbyte);    // FUNCTION SET 8bit,N=1,5*7dot       
       Wire.endTransmission();
       delayMicroseconds(30);   
     }
     sendbyte++;
   }
}

void initTFT(byte address){
	 InstSet(address,0x38);    // FUNCTION SET 8bit,N=1,5*7dot 
	 InstSet(address,0x39);    // FUNCTION SET 8bit,N=1,5*7dot 
	 InstSet(address,0x14);     //  Internal OSC frequency adjustment
	 InstSet(address,0x73);     //  Contrast set
	 InstSet(address,0x56);     //  Power/ICON/Contrast control
	 InstSet(address,0x6C);     //   Follower control
	 delay(200);
	 InstSet(address,0x38);     //  Display ON
	 InstSet(address,0x01);      //  CLEAR DISPLAY
	 delay(2);
	 InstSet(address,0x0C);     //  
} 
