//   Standard File

////////////////////////////////////////////////////
// RenriVer8.70  DllLibrary Arduino  0.01         //
// c source builder by  SEQ_CBuilder V            //
// TargetCPU = ESP32(WROOM32)                     //
// make   jikohoji.ino File  2019/02/23 10:26     //
////////////////////////////////////////////////////
// device_list //
 // X0021 	X0023 	X0034 	X0035 	// XDevice = 4
 // Y0018 	Y0019 	Y0025 	Y0026 	// YDevice = 4 
 // // MDevice = 0  
 // // DDevice = 0  
 // T0000 	T0001 	T0010 	T0011 	// TDevice = 4  
 // // CDevice = 0  
 // // LDevice = 0  
 // // rDevice = 0  
 // // device_list //

#include "jikohoji.h";


void setup(){
	 byte		tmp;

	 int		count = 0;
	 for (byte i=0; i<sizeof(in_no); i++) {
	 	 pinMode(in_no[i],INPUT);
	 }
	 for (byte i=0; i<sizeof(out_no); i++) {
	 	 pinMode(out_no[i],OUTPUT);
	 } 
	 
	 lasttime = micros(); // 時間の取得（ us単位 ）
	 lasttime_ms = millis(); // 時間の取得（ ms単位 )
	 q = 0x01;
	 SET_E_ON(M9038,0);     //  1スキャンＯＮリレーの生成
	 SET_E_ON(M9036,0);     //  常時ＯＮリレーの生成
	 SET_E_OFF(M9037,0);    // 常時ＯＦＦリレーの生成
}

////////////////////////////// Loop 開始(スキャンプログラム) //////////////////////////////
void loop(){			// 

	 int tmp;				// 
	 time_refresh();		// 時間の更新処理
	 link_refresh();		//	リンクリフレッシュ処理
	 special_refresh();	// 特殊リレーの更新処理
	 output_refresh();	// 出力更新処理
	 input_refresh();		// 入力更新処理
	 ldlg = 0x0; //  ブロック用変数;
	 aax = 0x0;  // 回路の状態保持変数;
	 trlg = 0x0; // ＭＰＳ／ＭＲＤ／ＭＰＰ;
	 iix = 0x01; // ＭＣ用変数の初期化;
	 ;
// LD(01) 
	 ldlg = (ldlg << 1) | (aax << 1); //
	 aax = 0x0; //
	 flag = GET_X(X0021,21);
	 if (flag){ //
	 	 aax |= 0x01; //
	 }//
//
// OR(05) 
	 flag = GET_Y(Y0018,18);
	 if (flag){ //
	 	 aax |= 0x01; //
	 }//
//
// ANI(04) 
	 flag = GET_X(X0023,23);
	 if ( flag ){ //
	 	 aax &= ~0x01; //
	 }//
//
// OUTR(0F) 
	 if (aax & iix) { 
	 	 SET_Y_ON(Y0018,18);
	 } else { 
	 	 SET_Y_OFF(Y0018,18);
	 }
	 
// LD(01) 
	 ldlg = (ldlg << 1) | (aax << 1); //
	 aax = 0x0; //
	 flag = GET_Y(Y0018,18);
	 if (flag){ //
	 	 aax |= 0x01; //
	 }//
//
// ANI(04) 
	 flag = GET_T(T0001,1);
	 if ( flag ){ //
	 	 aax &= ~0x01; //
	 }//
//
// MPS(0C) 
	 trlg = (trlg << 1) | (aax); 
// TIM(35) 
	 if (aax & iix) { 
	 	 if (!GET_UTRG(UTRG0000,0)) { 
	 	 	 SET_UTRG_ON(UTRG0000,0);
	 	 } else { 
	 	 	 if ((t_count[0] + (spantime) ) >=  A * 100000){
	 	 	 	 t_count[0] = A * 100000; 
	 	 	 	 SET_T_ON(T0000,0);
	 	 	 } else {
	 	 	 	 t_count[0] += spantime; 
	 	 	 }
	 	 }
	 } else {
	 	 t_count[0] = 0;
	 	 SET_T_OFF(T0000,0);
	 	 SET_UTRG_OFF(UTRG0000,0);
	 }
	 
// MPP(0E) 
	 aax = 0; 
	 aax |= (trlg & 0x1); 
	 trlg >>= 0x1; 
// ANI(04) 
	 flag = GET_T(T0000,0);
	 if ( flag ){ //
	 	 aax &= ~0x01; //
	 }//
//
// OUTR(0F) 
	 if (aax & iix) { 
	 	 SET_Y_ON(Y0019,19);
	 } else { 
	 	 SET_Y_OFF(Y0019,19);
	 }
	 
// LD(01) 
	 ldlg = (ldlg << 1) | (aax << 1); //
	 aax = 0x0; //
	 flag = GET_T(T0000,0);
	 if (flag){ //
	 	 aax |= 0x01; //
	 }//
//
// TIM(35) 
	 if (aax & iix) { 
	 	 if (!GET_UTRG(UTRG0001,1)) { 
	 	 	 SET_UTRG_ON(UTRG0001,1);
	 	 } else { 
	 	 	 if ((t_count[1] + (spantime) ) >=  5 * 100000){
	 	 	 	 t_count[1] = 5 * 100000; 
	 	 	 	 SET_T_ON(T0001,1);
	 	 	 } else {
	 	 	 	 t_count[1] += spantime; 
	 	 	 }
	 	 }
	 } else {
	 	 t_count[1] = 0;
	 	 SET_T_OFF(T0001,1);
	 	 SET_UTRG_OFF(UTRG0001,1);
	 }
	 
// LD(01) 
	 ldlg = (ldlg << 1) | (aax << 1); //
	 aax = 0x0; //
	 flag = GET_X(X0034,34);
	 if (flag){ //
	 	 aax |= 0x01; //
	 }//
//
// OR(05) 
	 flag = GET_Y(Y0025,25);
	 if (flag){ //
	 	 aax |= 0x01; //
	 }//
//
// ANI(04) 
	 flag = GET_X(X0035,35);
	 if ( flag ){ //
	 	 aax &= ~0x01; //
	 }//
//
// OUTR(0F) 
	 if (aax & iix) { 
	 	 SET_Y_ON(Y0025,25);
	 } else { 
	 	 SET_Y_OFF(Y0025,25);
	 }
	 
// LD(01) 
	 ldlg = (ldlg << 1) | (aax << 1); //
	 aax = 0x0; //
	 flag = GET_Y(Y0025,25);
	 if (flag){ //
	 	 aax |= 0x01; //
	 }//
//
// ANI(04) 
	 flag = GET_T(T0011,11);
	 if ( flag ){ //
	 	 aax &= ~0x01; //
	 }//
//
// TIM(35) 
	 if (aax & iix) { 
	 	 if (!GET_UTRG(UTRG0002,2)) { 
	 	 	 SET_UTRG_ON(UTRG0002,2);
	 	 } else { 
	 	 	 if ((t_count[10] + (spantime) ) >=  1 * 100000){
	 	 	 	 t_count[10] = 1 * 100000; 
	 	 	 	 SET_T_ON(T0010,10);
	 	 	 } else {
	 	 	 	 t_count[10] += spantime; 
	 	 	 }
	 	 }
	 } else {
	 	 t_count[10] = 0;
	 	 SET_T_OFF(T0010,10);
	 	 SET_UTRG_OFF(UTRG0002,2);
	 }
	 
// LD(01) 
	 ldlg = (ldlg << 1) | (aax << 1); //
	 aax = 0x0; //
	 flag = GET_T(T0010,10);
	 if (flag){ //
	 	 aax |= 0x01; //
	 }//
//
// MPS(0C) 
	 trlg = (trlg << 1) | (aax); 
// TIM(35) 
	 if (aax & iix) { 
	 	 if (!GET_UTRG(UTRG0003,3)) { 
	 	 	 SET_UTRG_ON(UTRG0003,3);
	 	 } else { 
	 	 	 if ((t_count[11] + (spantime) ) >=  1 * 100000){
	 	 	 	 t_count[11] = 1 * 100000; 
	 	 	 	 SET_T_ON(T0011,11);
	 	 	 } else {
	 	 	 	 t_count[11] += spantime; 
	 	 	 }
	 	 }
	 } else {
	 	 t_count[11] = 0;
	 	 SET_T_OFF(T0011,11);
	 	 SET_UTRG_OFF(UTRG0003,3);
	 }
	 
// MPP(0E) 
	 aax = 0; 
	 aax |= (trlg & 0x1); 
	 trlg >>= 0x1; 
// OUTR(0F) 
	 if (aax & iix) { 
	 	 SET_Y_ON(Y0026,26);
	 } else { 
	 	 SET_Y_OFF(Y0026,26);
	 }
	 
// END(10) 
	 output_refresh();	// 出力更新処理
	// Serial.println();
	 SET_E_OFF(M9038,0);

}
////////////////////////////// Loop 終了 //////////////////////////////
