;
;
;            wb_[ ( FOR  18F452 )  ehkd
;             WINDOWS   2000/10/15
;
;-------------------------   ------------------------- */

     LFSR3    macro num1,num2
             MOVLW   num1
             MOVFF   WREG, FSR3L
             MOVFF   num2, FSR3H
     ENDM

     LFSRI2   macro num1,num2
             MOVLW   num1
             MOVFF   WREG, FSR02L
             MOVLW   num2
             MOVFF   WREG, FSR02H
     ENDM

     LFFSR2  macro num1,num2
             MOVFF   num1,FSR02L
             MOVLW   num2
             MOVFF   WREG, FSR02H
     ENDM


     FSR_FS2  macro 
             MOVFF   FSR0L, FSRLTP
             MOVFF   FSR0H, FSRHTP
             MOVFF   FSR02L, FSR0L
             MOVFF   FSR02H, FSR0H
     ENDM

     FSR_FS0 macro 
             MOVFF   FSR0L, FSR02L
             MOVFF   FSR0H, FSR02H
             MOVFF   FSRLTP, FSR0L
             MOVFF   FSRHTP, FSR0H
     ENDM

     PUSH_FS0 macro 
             MOVFF   FSR0L, FSRLTP
             MOVFF   FSR0H, FSRHTP
     ENDM

     POP_FS0  macro 
             MOVFF   FSRLTP, FSR0L
             MOVFF   FSRHTP, FSR0H
     ENDM

;--------------------         -----------------------
     PUSH1_BSR   macro
             MOVFF   BSR, SPBRG
     ENDM

     POP1_BSR   macro
             MOVFF   SPBRG, BSR
     ENDM

     PUSH2_BSR   macro
             MOVFF   BSR, TMR3L
     ENDM

     POP2_BSR   macro
             MOVFF   TMR3L, BSR
     ENDM


;--------------------         -----------------------
; MOVF
     MOVoFWW   macro  num1
             MOVFF   num1,TMR3H
             MOVF    TMR3H, W
     ENDM

; MOVWF
     MOVoWFF   macro  num1
             MOVFF   WREG, num1
     ENDM

     SWAPoFF   macro  num1
             MOVFF   num1,TMR3H
             SWAPF   TMR3H, F
             MOVFF   TMR3H, num1
     ENDM
; SWAP
     SWAPoFW   macro  num1
             MOVFF   num1,TMR3H
             SWAPF   TMR3H, W
     ENDM

; CLRF
     CLRoF   macro  num1
             CLRF    TMR3H
             MOVFF   TMR3H, num1
     ENDM

; ADDWF
     ADDoWFF   macro  num1
             MOVFF   num1,TMR3H
             ADDWF   TMR3H, F
             MOVFF   TMR3H, num1
     ENDM

     ADDoWFW   macro  num1
             MOVFF   num1,TMR3H
             ADDWF   TMR3H, W
     ENDM

; ADDWFC
     ADDoWFCF   macro  num1
             MOVFF   num1,TMR3H
             ADDWF   TMR3H, F
             MOVFF   TMR3H, num1
     ENDM

     ADDoWFCW   macro  num1
             MOVFF   num1,TMR3H
             ADDWF   TMR3H, W
     ENDM

; SUBWF
     SUBoWFF   macro  num1
             MOVFF   num1,TMR3H
             SUBWF   TMR3H, F
             MOVFF   TMR3H, num1
     ENDM

     SUBoWFW   macro  num1
             MOVFF   num1,TMR3H
             SUBWF   TMR3H, W
     ENDM

; MULWF
     MULoWF   macro  num1
             MOVFF   num1,TMR3H
             MULWF   TMR3H
             MOVFF   TMR3H, num1
     ENDM

; ANDWF
     ANDoWFF   macro  num1
             MOVFF   num1,TMR3H
             ANDWF   TMR3H, F
             MOVFF   TMR3H, num1
     ENDM

     ANDoWFW   macro  num1
             MOVFF   num1,TMR3H
             ANDWF   TMR3H, W
     ENDM

; IORWF
     IORoWFF   macro  num1
             MOVFF   num1,TMR3H
             IORWF   TMR3H, F
             MOVFF   TMR3H, num1
     ENDM

     IORoWFW   macro  num1
             MOVFF   num1,TMR3H
             IORWF   TMR3H, W
     ENDM

; XORWF
     XORoWFF   macro  num1
             MOVFF   num1,TMR3H
             XORWF   TMR3H, F
             MOVFF   TMR3H, num1
     ENDM

     XORoWFW   macro  num1
             MOVFF   num1,TMR3H
             XORWF   TMR3H, W
     ENDM

; COMF
     COMoFF   macro  num1
             MOVFF   num1,TMR3H
             COMF    TMR3H, F
             MOVFF   TMR3H, num1
     ENDM

     COMoFW   macro  num1
             MOVFF   num1,TMR3H
             COMF    TMR3H, W
     ENDM

; RLCF
     RLCoFF   macro  num1
             MOVFF   num1,TMR3H
             RLCF    TMR3H, F
             MOVFF   TMR3H, num1
     ENDM

     RLCoFW   macro  num1
             MOVFF   num1,TMR3H
             RLCF    TMR3H, W
     ENDM

; RLNCF
     RLNCoFF   macro  num1
             MOVFF   num1,TMR3H
             RLNCF   TMR3H, F
             MOVFF   TMR3H, num1
     ENDM

     RLNCoFW   macro  num1
             MOVFF   num1,TMR3H
             RLNCF   TMR3H, W
     ENDM

; RRCF
     RRCoFF   macro  num1
             MOVFF   num1,TMR3H
             RRCF    TMR3H, F
             MOVFF   TMR3H, num1
     ENDM

     RRCoFW   macro  num1
             MOVFF   num1,TMR3H
             RRCF    TMR3H, W
     ENDM

; RRNC
     RRNCoFF   macro  num1
             MOVFF   num1,TMR3H
             RRNCF   TMR3H, F
             MOVFF   TMR3H, num1
     ENDM

     RRNCoFW   macro  num1
             MOVFF   num1,TMR3H
             RRNCF   TMR3H, W
     ENDM

;-------------------                ------------------

; CPFSEQ
     CPFSoEQ   macro  num1
             MOVFF   num1,TMR3H
             CPFSEQ  TMR3H
     ENDM

; CPFSGT
     CPFSoGT   macro  num1
             MOVFF   num1,TMR3H
             CPFSGT  TMR3H
     ENDM

; CPFSLT
     CPFSoLT   macro  num1
             MOVFF   num1,TMR3H
             CPFSLT  TMR3H
     ENDM

; BCF
     BCoF     macro  num1,num2
             MOVFF   num1,TMR3H
             BCF     TMR3H, num2
             MOVFF   TMR3H, num1
     ENDM

; BSF
     BSoF     macro  num1,num2
             MOVFF   num1,TMR3H
             BSF     TMR3H, num2
             MOVFF   TMR3H, num1
     ENDM

; BTFSC
     BTFoSC   macro  num1,num2
             MOVFF   num1,TMR3H
             BTFSC   TMR3H, num2
     ENDM

; BTFSS
     BTFoSS   macro  num1,num2
             MOVFF   num1,TMR3H
             BTFSS   TMR3H, num2
     ENDM

; INCF
     INCoFF   macro  num1
             MOVFF   num1,TMR3H
             INCF    TMR3H, F
             MOVFF   TMR3H, num1
     ENDM

     INCoFW   macro  num1
             MOVFF   num1,TMR3H
             INCF    TMR3H, W
     ENDM

; INCFSZ
     INCoFSZF  macro  num1
             MOVFF   num1, TMR3H
             INCF    TMR3H,F
             MOVFF   TMR3H, num1
             BTFSS   STATUS, Z
     ENDM

     INCoFSZW  macro  num1
             MOVFF   num1, TMR3H
             INCF    TMR3H,W
             BTFSS   STATUS, Z
     ENDM

; INFSNZ
     INoFSNZF  macro  num1
             MOVFF   num1, TMR3H
             INCF    TMR3H,F
             MOVFF   TMR3H, num1
             BTFSC   STATUS, Z
     ENDM

     INoFSNZW  macro  num1
             MOVFF   num1, TMR3H
             INCF    TMR3H,W
             BTFSC   STATUS, Z
     ENDM

; DECF
     DECoFF   macro  num1
             MOVFF   num1, TMR3H
             DECF    TMR3H,F
             MOVFF   TMR3H, num1
     ENDM

     DECoFW   macro  num1
             MOVFF   num1, TMR3H
             DECF    TMR3H, W
     ENDM

; DECFSZ
     DECoFSZF  macro  num1
             MOVFF   num1, TMR3H
             DECF    TMR3H,F
             MOVFF   TMR3H, num1
             BTFSS   STATUS, Z
     ENDM

     DECoFSZW  macro  num1
             MOVFF   num1,TMR3H
             DECF    TMR3H,W
             BTFSS   STATUS, Z
     ENDM

; DCFSNZ
     DCoFSNZF  macro  num1
             MOVFF   num1,TMR3H
             DECF    TMR3H,F
             MOVFF   TMR3H, num1
             BTFSC   STATUS, Z
     ENDM

     DCoFSNZW  macro  num1
             MOVFF   num1,TMR3H
             DECF    TMR3H,W
             BTFSC   STATUS, Z
     ENDM

;--------------------------           ------------------------- */

   ; bank0
    extern I2CIDLE, CNT05M ;
    extern COUNT1 ;
    extern POSLFK, POSTFK, POSLGK, POSTGK, POSLHK, POSTHK ;
    extern POSLAK, POSLBK, POSLCK, POSLDK, POSLEK ;
    extern STEPNO, JIKFLG, JIKTOU, JIKSUU ;
    extern JIKINCD, MAXTMR0, T0OFSPD, T0ONSPD ;
    extern SAPLPONT, SAPLDEC ;
    extern POSLFK, POSTFK, POSLGK, POSTGK, POSLHK ;
    extern POSTHK, POSLAK, POSLBK, POSLCK, POSLDK, POSLEK ;
    extern STJO ;
   ; bank1
    extern TCRAM, T1MRAM, TUSEBIT ;
   ; bank2
    extern SETTN, TOKREG, RSETN, HOJIRL, HOJIKP ;
    extern SETTNXY, BSETTN, BSETFRE, TCSET ;    // ;    158
    extern AAX, IIX, LDLG, TRLG, F1SR, F2SR, F3SR, TMP2, TMPL, TMPH, FLAG1 ;
    extern FSRLTP, FSRHTP, FSR02L, FSR02H, FSR3L, FSR3H ;
    extern COMBANCH, OPEC, REG1, REG2, REG3, W_TEMP ;
    extern BIBPONT, BIBBIT, LCDWAT, VB ;
    extern COUNT1, RENKEF, TMPBUF, CANBUF, IICBUF, KEITIM, TIM10C, CONTKP ;
    extern SENFSR, RTXMODF, AITECBT, BCOVINP, FSR2WDIF ;
    extern NORMF, IREG1, IREG2, ITMPL, LC_RENF, preDELYM, FSRI2L, FSRI2H, FSRI_3L ;
    extern SCANF, SCANM, SCANADR, SCANDAT, ENCODCT, Mencod, MenRd ;
    extern USINEX, USOTEX ;    // 2 *2 =4  +21 +16 +186 =227
    extern CONT, delyTMX, TCONT ;
    extern BIICSBF ;
    extern OPRA1L, OPRA1H, OPRA2L, OPRA2H, INITMF, FSRCHN, CHSBIT ;
    extern MCFLG, Q0ITL, Q0ITH, CNTI2CM, BIBPONT, BIBBIT,NOMTMX, FLAG1 ;
    extern TIM50C, FSRI2L, FSRI2H, FSRI_3L ;   //  23 +227 =250
   ; bank4
    extern DMEM, JOHOBUF ;
    extern JCONM, FSRI3H, FSRI3L, PL0_TEMP, SCANIKET, SCANIF, SCANIM, SCANIADR ;
    extern SCANIDAT ;
   ; bank5
    extern _com_s, _wcdat, counter ;
    extern _point ;
    extern QTMPL, QTMPH, DIGIT, Q0L, Q0H, Q1L, Q1H, Q2L, Q2H, Q3L, Q3H ;
    extern Q4L, Q4H, Q4L, Q4H, Q5L, Q5H, Q6L, Q6H, Q7L, Q7H ;
   ; bank6
    extern WMEM, dSETTN ;
    extern dTUSEBIT, ANSWER,  LCH_DM, LCL_DM ;

kiBSR    equ    2

;
;AAX     equ    10h
;IIX     equ    AAX +2     ; AAX +1  IIX+1 intruptkeepƎgp
;LDLG    equ    IIX +2
;TRLG    equ    LDLG +2    ; LDLG +1  TRLG+1 intruptkeepƎgp
;F1SR    equ    TRLG +2  ;  0000 0000
;                          ;      |  | ||__ =1 lr ARI
;                          ;      |  | |___ =1 serial ARI
;                          ;      |  |_____ =1 stppng-Mot ARI
;                          ;      |________ =1 g ARI
;F2SR    equ    F1SR +1
;FSRL3TP equ    F2SR
;F3SR    equ    F2SR +1        ; 6
;FSRH3TP equ    F3SR
;TEMP    equ    F3SR +1
;TMPL    equ    TEMP       ; head8F51.h
;TMPH    equ    TMPL +1
;FLAG1   equ    TMPH +1    ; D<2,1,0> =1@ԐڎQ
  ; FLAG1   <D7> 3rd  <D6,5> 2nd  <D4,3> 1st-oprand   00:V0  01:V1 10:VF  3rd ԐڂVF
;FSRLTP   equ    FLAG1 +1
;FSRHTP   equ    FSRLTP +1
;FSR02L   equ    FSRHTP +1
;FSR02H   equ    FSR02L +1
;FSR3L   equ    FSR02H +1
;FSR3H   equ    FSR3L +1
;;DATA1   equ    FSR3H +1    ; 3008 Kak   INT--
;;DATA3   equ    DATA1 +1    ; 3008 Kak   INT--
;;DATAO   equ    DATA3 +1    ; 3008 Kak   INT--
;COMBANCH equ   FSR3H +1 ; DATAO +1    ; 3008 Kak   INT--
;OPEC    equ    COMBANCH +1 ; 3008 Kak   INT--
;REG1    equ    OPEC +1
;REG2    equ    REG1 +1    ; DԖ
;REG3    equ    REG2 +1
;W_TEMP  equ    REG3 +1    ; F
;                          ; ߱ 2-޲
;BIBPONT equ    W_TEMP +1
;BIBBIT  equ    BIBPONT +1
;CNT05M  equ    BIBBIT +1  ;
;COUNT1  equ    CNT05M +1  ; 1mS-counter
;COUNT   equ    CNT05M +1  ; 
;LCDWAT  equ    COUNT1 +2
;VB      equ    LCDWAT +1
;Q0L     equ    VB +1
;Q0H     equ    Q0L+1
;Q1L     equ    Q0H+1
;Q1H     equ    Q1L+1
;Q2L     equ    Q1H+1
;Q2H     equ    Q2L+1
;Q3L     equ    Q2H+1
;Q3H     equ    Q3L+1
;Q4L     equ    Q3H+1
;Q4H     equ    Q4L+1
;Q5L     equ    Q4H+1
;Q5H     equ    Q5L+1
;Q6L     equ    Q5H+1
;Q6H     equ    Q6L+1
;Q7L     equ    Q6H+1
;Q7H     equ    Q7L+1
;OPRA1L  equ    Q7H+1
;OPRA1H  equ    OPRA1L+1
;OPRA2L  equ    OPRA1H+1
;OPRA2H  equ    OPRA2L+1
;DIGIT   equ    OPRA2H +1
;INITMF  equ    DIGIT  +1
;               0000 0000
;               |||| ||||_ =1 28-pin ,0 40-pin
;               |||| |||__ =1 gL
;               |||| ||___ =1 Zbg
;               |||| |____ =1 ݸޖh~gp
;               ||||______ =1 ϊ1st
;               |||_______ =1 -  ώgp
;               ||________ =1 MCP23008gp
;               |_________ =1 MCP23017gp
;FSRCHN  equ    INITMF +1
;CHSBIT  equ    FSRCHN +1 ; DS 1
;MCFLG   equ    CHSBIT +1
;Q0ITL    equ    MCFLG +1   ;  INT--
;Q0ITH    equ    Q0ITL +1   ;  INT--
;CNTI2CM   equ    Q0ITH +1  ; ֯I2Ctiming炷 <-BISTATM <-BCOVCHN
;I2CIDLE  equ    CNTI2CM +1 ; װ̱̎ݸ װm蒆100 & m̈҂
;;BUFSR1   equ    I2CIDLE +1 ; INT- JUSIN-YOU FSR
;RENKEF   equ    I2CIDLE +1 ; 0000 0000
;                           |||| ||||_ =1 M start( 02  KITA )@M
;                           |||| |||__ =1 SERIAL-TUUSIN ARI
;                           |||| ||___ =1 JUSIN-MISHORI-data ARI(at SIREALM)
;                           |||| ||___ =1 SOUSIN-MISHORI-data ARI(to فj
;                           |||| |____ =1 ݸ޽ KITA
;                           ||||______ =1 HOJI-relay USE
;                 0000 0000 |||_______ =1 03 
;                  ||| |||| ||________ =1 256mS o(CAN initƎgp)
;                  ||| |||| |_________ =1 Sړ_-vL蒆
;                  ||| ||||           ̊ԁAeX̏̂Ă
;                  ||| ||||           Ҳ݂ SEQ__GRȉɂȂ
;                  ||| ||||____________=1 LCD\
;                  ||| |||_____________=1 CAN B-SETNML
;                  ||| ||______________=1 CAN W-memoryML
;                  ||| |_______________=1 I2C CPUwڽ(General)
;                  |||_________________=1 I2C Byteڽ
;                  ||__________________=1 I2C ޲Ēl
;                  |___________________=1 CAN B-FREE SETNML
;TMPBUF   equ    RENKEF +2  ; INT- DBGSERގgp
;CANBUF   equ    TMPBUF +2  ; INT-
;IICBUF   equ    TMPBUF +2  ; I2CBUF ==CANBUF@   INT-
;SENFSR   equ    CANBUF +2  ; INT-  M-YOU FSR
;RTXMODF  equ    SENFSR +1  ; 0000 0000
;                           ;         |________M GO!
;AITECBT  equ    RTXMODF +1 ; B-channel Cover̈
;BCOVINP  equ    AITECBT +1
;FSR2WDIF  equ   BCOVINP +1
;NORMF    equ    FSR2WDIF +1 ; TACHI-AGARI GO =1
;IREG1    equ     NORMF +1   ; INT
;IREG2    equ    IREG1 +1    ; INT
;ITMPL    equ    IREG2 +1    ; INT
;LC_RENF  equ    ITMPL +1    ; INT gexp-LCD FLAG
; 0000 0000
; | ||   ||___ =1 s\w by main
; | ||   |____ =1 sޏIby int  Data\ =0by int
; | ||________ =1 s\w by main
; | |_________ =1 sޏIby int  Data\ =0by int
; |___________ =0 sD =1 sD
;STJO     equ    LC_RENF +1



;STEPNO  equ    0d0h        ; 14h/2 =0Ah =10
                           ;> ԍ@0 ~99 100 ~199 (BCDBIN\)
;JIKFLG  equ    STEPNO +1 ; Ɋւ@D0 =1 run-go
              ; D4 =1  MUGEN-run  D7 =1 pulse() @=0 KANKAKU()
;JIKTOU  equ    JIKFLG +1 ; D0 =1 0- ON  HIKISUU( from CHSBIT )
              ; D1 =1 1- ON
              ; D3 =1 MAX-speed TOUTATU
              ; D4 =1 GENSOKU-start
;JIKSUU  equ    JIKTOU +1   ; ٽ@-=1(^1ٽ)
;JIKINCD equ    JIKSUU +3   ; ㏸i葬ށjٽJEg
;MAXTMR0 equ    JIKINCD +2  ; int temporary
;PPSCHI  equ    JIKINCD +2  ; MAXTMR0 
;SAPLPONT equ   MAXTMR0 +2
;SAPLDEC equ    SAPLPONT +1 ;
;T0OFSPD equ    SAPLDEC +1  ;
;T0ONSPD equ    T0OFSPD +2
;POSLFK equ     T0ONSPD+2   ; F߰ g   5 <D0~D7>
;POSTFK  equ    POSLFK +1   ; F߰ g   5 <D8~D15>
;POSLGK equ     POSTFK +1   ; G߰ g   6 <D0~D7>
;POSTGK  equ    POSLGK +1   ; G߰ g   6 <D8~D15>
;POSLHK equ     POSTGK +1   ; H߰ g   7 <D0~D7>
;POSTHK  equ    POSLHK +1   ; H߰ g   7 <D8~D15>
;POSLAK  equ    POSTHK +1      ; A߰ g   0 <D8~D15>
;POSLBK  equ    POSLAK +1   ; B߰ g   1 <D8~D15>
;POSLCK  equ    POSLBK +1   ; C߰ g   2 <D8~D15>
;POSLDK  equ    POSLCK +1   ; D߰ g   3 <D8~D15>
;POSLEK  equ    POSLDK +1   ; E߰ g   4 <D8~D15>

            ;|/ a`mjP
;TCRAM    equ    100h          ; T0~T99  2-byte-  }100mS   100mSP
;CONTRM   equ    TCRAM
;TUSEBIT  equ    TCRAM+D'188'     ; 94*2  RES 12( 12*8 =96bit )
;T1MRAM   equ    TCRAM +D'200'    ; T300~T327 2-byte-  1mSP
;
;            ;|/ a`mjQ
;SETTN    equ   240h
;RSETN    equ   SETTN +2Ch     ; No. MAX 9F(beq. channel BCD) mean 20byte
;                              ; +2*0Ah
;HOJIKP   equ   SETTN +40h
;HOJIRL   equ   HOJIKP +8   ; DS 8 Œ
;SETTNXY  equ   HOJIRL +8   ; xy DS 5*2 BYTE  mr -ƓԍL邽߁Aʐݒ
;;EXP16XY equ   SETTNXY +2*5   ; MCP23017-16PINgp 5,6,7
;;TOUCHPXY equ  EXP16XY +2*3   ; ٓ͗p 8,9 2
;BSETTN   equ   SETTNXY +2*0Ah ;  Bڰ 8
;BSETFRE  equ   BSETTN +10H    ; FRER 8
;NOMTMX   equ   BSETFRE +10h

;TOKREG   equ   2C6h        ; Œ C6hȊOɃV^v .DLL(TOKpREG)ύX
    ; 0000 0000 0000 0000
    ; |||| |||| |||  |||__  ; XOR-CheckG[̒ʐM񗈂
    ; |||| |||| |||  ||___  ; XOR-Check ĒʐM񗈂
    ; |||| |||| |||  |____  ; pp|
    ; |||| |||| |||_  ; 펞@nm
    ; |||| |||| ||__  ; 펞@nee
    ; |||| |||| |___  ; 1 -scan ON
    ; |||| ||||_____  ; 0.1 bNbNpX
    ; |||| |||______  ; 0.2 b     //
    ; |||| ||_______  ; 1   b     //
    ; |||| |________  ; 2   b     //
    ; ||||__________  ; 1        //
    ; |||___________  ; =1  ; BCD Ų er_ror sgp
    ; ||____________  ; carry
    ; |_____________  ; [
    ; 0000 0000 0000 0000
    ;        || |||| ||||___9050  TMR0 Int
    ;        || |||| |||____9051
    ;        || |||| ||_____9052  TMR2 Int
    ;        || |||| |______9053  TMR3 Int
    ;        || ||||________RB0   Int
    ;        || |||_________RB2   Int
    ;        || ||__________RB3   Int
    ;        || |___________RB4:7 Int
    ;        ||_____________ĳ 1
    ;        |______________ĳ 2
  
;preDELYM equ   TOKREG +4
;TSET    equ    preDELYM +1  ; C8h  T0 ~T99 T100~T127  16-byte
;CSET    equ    TSET
;STEPSET equ    CSET +D'16'    ; DS 1 STEP-motorɂ݁^̂SE_TTN <D1,0>
;REGI1   equ    STEPSET +1   ; int only
;TIMSA   equ    REGI1 +1
;KEITIM  equ    TIMSA +0
;TIM10C  equ    KEITIM +2
;TIM50C  equ    TIM10C +2
;CONTKP  equ    TIM50C +1   ;
;FSRI2L   equ    CONTKP +2   ;  INT--
;FSRI2H   equ    FSRI2L +1   ;  INT--
;FSRI_3L  equ    FSRI2L +1   ; ==FSRI2H  v_2BNK
;SCANF   equ    FSRI2H +1  ; \LCD gpż
;SCANM   equ    SCANF +1
;SCANADR equ    SCANM +1
;SCANDAT equ    SCANADR +1
;ENCODCT equ    SCANDAT +4
;Mencod  equ    ENCODCT +2
;MenRd   equ    Mencod  +1
;USINEX  equ    MenRd +1    ; INT- ݸ޽
;USOTEX  equ    USINEX +2
;BCANSBF  equ    USOTEX +2  ; 3-byte  int
;BIICSBF  equ    BCANSBF    ; BCANSBF ==BIICSBF  intŲ
;BSOUKAI  equ    BCANSBF +3 ; int@ 40hޑ omitt
;CONT     equ    BSOUKAI +1 ; USBM
;delyTMX  equ    CONT +1
;TCONT    equ    delyTMX +1
;
;            ;|/ a`mjR
;DMEM     equ    340h       ;  DM-1  2-byte   DM-2,3,4,5  2-byte
;JOHOBUF  equ    DMEM +D'128'  ; 3C0h Lذ10ܰށ@rpɂ10ܰ v40byte
;JCONM    equ   JOHOBUF +D'40' ; 3E8h 
;;CONTRM   equ    WMEM +D'32'  ; 3DCH  16
;TMP30    equ    3FFH        ; int only
;FSRI3H   equ    TMP30 -1
;FSRI3L   equ    FSRI3H -1   ;  INT--
;STATU_TEMP equ  FSRI3L -1   ; int only
;PL_TEMP equ    STATU_TEMP -1 ; int only
;PL0_TEMP equ   PL_TEMP -1   ; int only
;BSR_TEMP equ   PL_TEMP -1   ; int only
;SCANIKETA equ   BSR_TEMP -1
;SCANIF   equ   SCANIKETA -1  ; \LCD gpż
;SCANIM   equ    SCANIF -1
;SCANIADR equ    SCANIM -1
;SCANIDAT equ    SCANIADR -4  ; 4-byte 3F1


            ;|/ a`mjS
; USB Fixed Location Variables
; BDT

;Counter   equ    430h
;pSrc      equ    Counter +1    ; 411h
;; ????
;_S2rg1  equ  420 +D'20'   ; ݸޯ̧ Mްڼ޽FETCHēڽ@ŏ͑OCR݂̈;
;_S1rgt  equ  420 +D'20'
;_S2rg2  equ  _S2rg1 +1      ; ݸޯ̧FETCHَ߲
;_S1tpt  equ  _S2rg1 +1      ;
;_S2rg3  equ  _S2rg2 +1      ; OCR݂̈߲
;_S2tpm  equ  _S2rg3 +1      ; Mpݸޯ̧̑Mް̓point
;_S1tpm  equ  _S2rg3 +1      ;
;_S2tps  equ  _S2tpm +1 
;_S2tgt  equ  _S2tps +1
;_S1tgt  equ  _S2tps +1
;_S2rpt  equ  _S2tgt +1      ; Mݸޯ̧ ]] Ǝ捞ݒ
;_S1rpt  equ  _S2tgt +1      ;
;; ????

          ;|/ a`mjT
;    _S2 for TouchPanel  _S1 for SRIN,SRON   gpȂ
;INPacket  equ   500h  ; Mpݸޯ̧
;OUTPacket equ   540h
;counter   equ   5B3h
;conFlag   equ   5B4h
;DconF     equ   5B5h
;initmF    equ   5B6h
;tpage     equ   5B7h
;_r2bcc  equ  5C0h   +1  ;0C1
;_t2bcc  equ  _r2bcc +1  ;0C2
;_r1dat  equ  _t2bcc +1  ;0C3
;_r2dat  equ  _r1dat +1  ;0C4
;_r3dat  equ  _r2dat +1  ;0C5
;_wword  equ  _r3dat +1  ;0C6
;_comnd  equ  _wword +2  ;0C8
;_com_s  equ  _comnd +2  ;0CA
;_point  equ  _com_s +1  ;0CB
;_adres  equ  _point +2  ;0CD
;_wcdat  equ  _adres +2  ;0CF
;_pnumb  equ  _wcdat +1  ;0D0  DS 1
;_dnumb  equ  _pnumb +1  ;0D1
;; ????
;_S2R   equ   5C0h  ; Mpݸޯ̧
;_S1R   equ   5C0h
;_S2T   equ   5C8h  ; Mpݸޯ̧
;_S1T   equ   5C8h
; ????

            ;|/ a`mjU
;    _S2 for TouchPanel  _S1 for SRIN,SRON   gpȂ
;_cs     equ  600h           ; ړ_ށ@@          DS 30h
;_po     equ  _cs    +30h    ; 630h@ ړ_ڽ      DS 60h
;_cd     equ  _po    +60h    ; 690h   ܰގ       DS 10h
;_pd     equ  _cd    +10h    ; 6A0h   ܰޱڽ@@@DS 20h
;                            ; 6C0h
;dSETTN   equ 6D0h           ; delay Timerp
;;SDDMEM   equ 6E0h          ; SDCARD ذ@512޲ =2ݸ
;dTUSEBIT equ 6E0h           ; delay Timerp
;ANSWER  equ  dTUSEBIT +4    ; ݸޯ̧ Mްڼ޽FETCHēڽ@ŏ͑OCR݂̈;
;LCH_DM   equ ANSWER +3       ; main@db 2 gEXP-LCD
;LCL_DM   equ LCH_DM +2       ; main@db 2
;_wc      equ LCL_DM +2
;          ;|/ a`mjV
;WMEM     equ  700h
;; WMEM-CMPp     equ  WMEM +D'64'
;WDIFSTA  equ   WMEM +D'128'
;BSETCMP  equ   BSETTN +500h   ; F 10h*2(word)(BSETTN CMPp)
;------------------          ---------------------------
