#ifndef ESP32CAN_H
#define ESP32CAN_H

#include "can_regdef.h"
#include "CAN_config.h"
#include "CAN.h"
class ESP32CAN
{
    public:
    enum INT_EVENT {
        ERR,
        WRITE,
        READ
    };

    public: 
        int CANInit();
        int CANWriteFrame(const CAN_frame_t* p_frame);
        int CANStop();
	int AddHandler(INT_EVENT evno,void (* func)() );
	void getIntVal(uint32_t *interrupt);
};

extern ESP32CAN ESP32Can;
#endif
