//   Professional File

////////////////////////////////////////////////////
// RenriVer 8.74  DllLibrary Arduino  0.05         //
// c source builder by  SEQ_CBuilder V             //
// TargetCPU = ESP32(WROOM32) Library=M5Stack      //
// make    RTCRead.h File  2020/02/17 01:26  //
////////////////////////////////////////////////////
#define	EEPROM_SIZE		1024

char	recv_data[1024];	// 

int		nowpos = 0;			// 
int		analyzepos = 0;		// 

char		buf[256];		// 
// printEfontを使用できるようにするためにヘッダファイルを宣言
// library efont Font Data for Arduino をダウンロードして、Ａｒｄｕｉｎｏに追加してください。
// #include "efontEnableAscii.h"; // 
// #include "efontEnableJa.h"; //  
// #include "efont.h"; // 
// #include "efontESP.h"; // 

#define 	 D9002 	 (nowPageNo)  
#define 	 PageMaxCnt 	 3
long lastPageNo = -1; // 前回のページ番号を管理する変数
long nowPageNo = 0;     // 現在のページ番号を管理する変数

WiFiServer	server(80);		// 

char	myssid[33];			// 
char	mypassword[33];		// 

unsigned	short portno = 0;
unsigned	long ipaddress = 0;

unsigned  short serial_set=0;
struct tm ntpTimeInfo;
#define D9020 (ntpTimeInfo.tm_year+1900)
#define D9021 (ntpTimeInfo.tm_mon+1)
#define D9022 (ntpTimeInfo.tm_mday)
#define D9023 (ntpTimeInfo.tm_hour)
#define D9024 (ntpTimeInfo.tm_min)
#define D9025 (ntpTimeInfo.tm_sec)
byte wifiFlag;
struct tm rtcTimeInfo;
#define D9030 (rtcTimeInfo.tm_year)
#define D9031 (rtcTimeInfo.tm_mon)
#define D9032 (rtcTimeInfo.tm_mday)
#define D9033 (rtcTimeInfo.tm_hour)
#define D9034 (rtcTimeInfo.tm_min)
#define D9035 (rtcTimeInfo.tm_sec)
unsigned  char sysParam;
#define X0037 	 (0x01 << 0) 
#define X0038 	 (0x01 << 1) 
#define X0039 	 (0x01 << 2) 
byte in_no[] = { 37 , 38 , 39}; 

#define   GET_X(DEVICE,NO) 	 (in_data & DEVICE)

#define   _INXUPPER_  (39) 

 #define D0000 	 (d_data[0] ) 
#define D0001 	 (d_data[1] ) 
#define D0002 	 (d_data[2] ) 
#define D0003 	 (d_data[3] ) 
#define D0004 	 (d_data[4] ) 
#define D0005 	 (d_data[5] ) 
#define GET_D(DEVICE,NO) 	 ( DEVICE )
#define SET_D(DEVICE,NO,DATA) 	 ( DEVICE ) = (DATA) 

#define D_VARIABLE(NO)   (d_data[NO])
#define D_UB_ARRAY(NO)   (((unsigned char*)&d_data[NO])+1)
#define D_LB_ARRAY(NO)   (((unsigned char*)&d_data[NO]))
#define D_ARRAY(NO)     (d_data[NO])
#define PTRD_ARRAY(NO)    (&d_data[NO])
short d_data[6]; // 

#define   _DATAUPPER_  (5) 

// 使用する変数やマクロの宣言部

#define M9010   (0x01 << 0)   //  Errorフラグ
#define M9012   (0x01 << 1)   //  Carryフラグ
#define M9013   (0x01 << 2)   //  0(ゼロ)フラグ
#define M9030   (0x01 << 3)   // ０．１秒クロックパルス
#define M9031   (0x01 << 4)   // ０．２秒クロックパルス
#define M9032   (0x01 << 5)  // １．０秒クロックパルス
#define M9033   (0x01 << 6)  // ２．０秒クロックパルス
#define M9034   (0x01 << 7)  // ３０．０秒クロックパルス
#define M9038   (0x01 << 8)  // １－Ｓｃａｎ　On
#define M9036   (0x01 << 9)  // 常時　On　リレー
#define M9037   (0x01 << 10)  // 常時　ＯＦＦ　リレー
#define M9035   (0x01 << 11)  // 0.01秒　クロックパルス
#define M9003   (0x01 << 12) // 継続命令フラグ
#define M9039   (0x01 << 13)  // 0.005秒　クロックパルス
#define M9040   (0x01 << 16)  // シリアル通信受信完了フラグ
#define M9041   (0x01 << 17)  // シリアル通信受信エラーフラグ
#define GET_E(DEVICE,NO)    (tokreg & DEVICE)
#define SET_E_ON(DEVICE,NO)  tokreg = tokreg | DEVICE
#define SET_E_OFF(DEVICE,NO)  tokreg = tokreg & ~DEVICE
unsigned long  tokreg; // 特殊リレー用変数

unsigned long starttime;
unsigned long lasttime;
unsigned long spantime;
unsigned long maxspantime;
unsigned long minspantime;
unsigned long lasttime_ms;
unsigned long spantime_ms;

unsigned long systemtime;
unsigned long systemtimes;
unsigned long systemtime10ms;
unsigned long in_data ;  // 入力Ｘの保持変数（３２点数分）
unsigned long out_data ;  // 出力Ｙの保持変数（３２点数分）

unsigned int  ldlg; // ブロック用変数
unsigned int  aax; // 回路の状態保持変数
unsigned int  iix;  // ＭＣの状態保持用変数
unsigned int  q;
unsigned int  trlg; // ＭＰＳ／ＭＲＤ／ＭＰＰ
byte        mcflg;  // ＭＣのフラグ
int			flag;


int bcdbin(int a);
int bcd8bin(int a);
int binbcd(int a);
int bin8bcd(int a);
void tftUpdate();
// TFTの初期化関数
void tftInit() { 
	 M5.Lcd.fillScreen(TFT_BLACK); // 
	 nowPageNo = 1; 
	 tftUpdate();  
}
// TFTのページ変更関数
void tftPageChange(int no) { 
	 if ( (no <= PageMaxCnt) && (no >= 0) ) {
	 	 nowPageNo = no; 
	 }
}
// TFTのページ番号取得関数
int tftgetPageNo() { 
	  return nowPageNo; 
}

// loop関数の中でTFTの表示更新関数  
void tftUpdate(){
	// 前回のページ番号と今回のページ番号が違う場合は、画面をクリアして描画しなおす
	 if( (lastPageNo!=nowPageNo) && (nowPageNo <= PageMaxCnt)){
	 	 switch (nowPageNo) { 
	 	 case 0:
	 	 	 M5.Lcd.clear(TFT_BLACK); //
	 	 	 M5.Lcd.setTextSize(4); //
	 	 	 M5.Lcd.setCursor(65,10); //
	 	 	 M5.Lcd.println("");
	 	 	 break;
	 	 case 1:
	 	 	 M5.Lcd.clear(TFT_BLACK); //
	 	 	 M5.Lcd.setTextSize(4); //
	 	 	 M5.Lcd.setCursor(65,10); //
	 	 	 M5.Lcd.println("page1");
	 	 	 break;
	 	 case 2:
	 	 	 M5.Lcd.clear(TFT_BLACK); //
	 	 	 M5.Lcd.setTextSize(4); //
	 	 	 M5.Lcd.setCursor(65,10); //
	 	 	 M5.Lcd.println("page2");
	 	 	 
	 	 	 break;
	 	 case 3:
	 	 	 M5.Lcd.clear(TFT_BLACK); //
	 	 	 M5.Lcd.setTextSize(4); //
	 	 	 M5.Lcd.setCursor(65,10); //
	 	 	 M5.Lcd.println("page3");
	 	 	 
	 	 	 break;
	 	 }
	 lastPageNo = nowPageNo;
	 }
}
//RTC8564更新関数
void RTC8564Update(){
	 Wire.begin();  //  I2C開始
	 Wire.beginTransmission(0x51);  // アドレス 0x51との通信を開始
	 Wire.write(0x2);             // 書込みアドレスのセット（２番地）
	 Wire.write(D9035 & 0x7f);    // ＲＴＣの秒（0-59）(BCD)
	 Wire.write(D9034 & 0x7f);    // ＲＴＣの分（0-59）(BCD)
	 Wire.write(D9033 & 0x3f);    // ＲＴＣの時間（0-23）(BCD)
	 Wire.write(D9032 & 0x3f);    // ＲＴＣの日（1-31）(BCD)
	 Wire.write(0);    // ＲＴＣの週（0-7）(BCD)
	 Wire.write(D9031 & 0x1f);    // ＲＴＣの月（0-23）、世紀(BCD)
	 Wire.write(D9030 & 0xff);    // ＲＴＣの年（00-99）(BCD)
	 Wire.endTransmission();  // I2C終了
}
	 
//RTC8564取込関数
void RTC8564Input(){
	 Wire.begin();  //  I2C開始
	 Wire.beginTransmission(0x51);  // アドレス 0x51との通信を開始
	 Wire.write(0x2);             // 読出しアドレスのセット（２番地）
	 Wire.requestFrom(0x51,32);   // アドレス 0x51との通信（受信）開始
	 D9035 = Wire.read() & 0x7f;     // ＲＴＣの秒（0-59）(BCD)
	 D9034 =Wire.read() & 0x7f;    // ＲＴＣの分（0-59）(BCD)
	 D9033 = Wire.read() & 0x3f;    // ＲＴＣの時間（0-23）(BCD)
	 D9032 =Wire.read() & 0x3f;    // ＲＴＣの日（1-31）(BCD)
	 Wire.read();   // ＲＴＣの週（0-7）(BCD)
	 D9031 = Wire.read() & 0x1f;    // ＲＴＣの月（0-23）、世紀(BCD)
	 D9030 = 0x2000 | Wire.read() & 0xff;    // ＲＴＣの年（00-99）(BCD)
	 Wire.endTransmission();  // I2C終了
} 
	 
// // GYCOMT b0 D0 B1 P0 F0 L0 BIN0 11 0 
 // // // LD b0 D0 B1 P0 F0 L0 BIN0 X0039 0 1 
 // // MPS b0 D0 B0 P0 F0 L0 BIN0 1 1 
 // // // // MOV b0 D0 B0 P0 F0 L1 BIN1 H0099 D9030 11 1 
 // // // // MOV b0 D0 B0 P0 F0 L1 BIN1 H0011 D9031 11 2 
 // // // // MOV b0 D0 B0 P0 F0 L1 BIN1 H0030 D9032 11 3 
 // // // // MOV b0 D0 B0 P0 F0 L1 BIN1 H0023 D9033 11 4 
 // // // // MOV b0 D0 B0 P0 F0 L1 BIN1 H0059 D9034 11 5 
 // // // // MOV b0 D0 B0 P0 F0 L1 BIN1 H0050 D9035 11 6 
 // // MPP b0 D0 B0 P0 F0 L0 BIN0 1 1 
 // // // OUTR b0 D0 B0 P0 F0 L0 BIN0 M9022 11 7 
 // // GYCOMT b0 D0 B1 P0 F0 L0 BIN0 11 8 
 // // // LD b0 D0 B1 P0 F0 L0 BIN0 X0038 0 9 
 // // // OUTR b0 D0 B0 P0 F0 L0 BIN0 M9021 11 9 
 // // // LD b0 D0 B1 P0 F0 L0 BIN0 M9036 0 10 
 // // MPS b0 D0 B0 P0 F0 L0 BIN0 1 10 
 // // // // MOV b0 D0 B0 P0 F0 L0 BIN0 D9030 D0000 11 10 
 // // // // MOV b0 D0 B0 P0 F0 L0 BIN0 D9031 D0001 11 11 
 // // // // MOV b0 D0 B0 P0 F0 L0 BIN0 D9032 D0002 11 12 
 // // // // MOV b0 D0 B0 P0 F0 L0 BIN0 D9033 D0003 11 13 
 // // // // MOV b0 D0 B0 P0 F0 L0 BIN0 D9034 D0004 11 14 
 // // MPP b0 D0 B0 P0 F0 L0 BIN0 1 10 
 // // // // MOV b0 D0 B0 P0 F0 L0 BIN0 D9035 D0005 11 15 
 // // // LD b0 D0 B1 P0 F0 L0 BIN0 X0037 0 16 
 // // // // MOV b0 D0 B0 P0 F0 L1 BIN0 K0003 D9002 11 16 
 // // // LD b0 D0 B1 P0 F0 L0 BIN0 X0038 0 17 
 // // // // MOV b0 D0 B0 P0 F0 L1 BIN0 K0002 D9002 11 17 
 // // // LD b0 D0 B1 P0 F0 L0 BIN0 X0039 0 18 
 // // // // MOV b0 D0 B0 P0 F0 L1 BIN0 K0001 D9002 11 18 
 // // // LD b0 D0 B1 P0 F0 L0 BIN0 M8000 0 19 
 // // MPS b0 D0 B0 P0 F0 L0 BIN0 1 19 
 // // // OUTR b0 D0 B0 P0 F0 L0 BIN0 M8005 11 19 
 // // MPP b0 D0 B0 P0 F0 L0 BIN0 1 19 
 // // // OUTR b0 D0 B0 P0 F0 L0 BIN0 M8500 11 20 
 // // END b0 D0 B1 P0 F0 L0 BIN0 11 21 
 // standard function
void showMacAddress(){
	byte mac[6];                     // the MAC address of your Wifi shield
	WiFi.macAddress(mac);
	Serial.print("MAC: ");
	Serial.print(mac[5], HEX);
	Serial.print(":");
	Serial.print(mac[4], HEX);
	Serial.print(":");
	Serial.print(mac[3], HEX);
	Serial.print(":");
	Serial.print(mac[2], HEX);
	Serial.print(":");
	Serial.print(mac[1], HEX);
	Serial.print(":");
	Serial.println(mac[0], HEX);
}
void printEncryptionType(int thisType) {
// read the encryption type and print out the name:
	switch (thisType) {
	case 5: // ENC_TYPE_WEP
		Serial.println("WEP");
		break;
	case 2: // ENC_TYPE_TKIP
		Serial.println("WPA");
		break;
	case 4: // ENC_TYPE_CCMP
		Serial.println("WPA2");
		break;
	case 7: // ENC_TYPE_NONE
		Serial.println("None");
		break;
	case 8: // ENC_TYPE_AUTO
		Serial.println("Auto");
		break;
	default:
	Serial.print(thisType);
		Serial.println("");
	}
}
void listNetworks() {
// scan for nearby networks:
	Serial.println("** Scan Networks **");
	int numSsid = WiFi.scanNetworks();
	if (numSsid == -1) {
		Serial.println("Couldn't get a wifi connection");
		while (true);
	}
// print the list of networks seen:
	Serial.print("number of available networks : ");
	Serial.println(numSsid);
// print the network number and name for each network found:
	for (int thisNet = 0; thisNet < numSsid; thisNet++) {
		Serial.print(thisNet);
		Serial.print(") ");
		Serial.print(WiFi.SSID(thisNet));
		Serial.print("	Signal: ");
		Serial.print(WiFi.RSSI(thisNet));
		Serial.print(" dBm");
		Serial.print("	Encryption: ");
		printEncryptionType(WiFi.encryptionType(thisNet));
	}
}
void deviceSet(String devname, short value) {
	int i = 0;
	String buf;
	byte DevNo = 0;
	int iDevNo = 0;
	if (devname.charAt(1) == 'N') {
		buf = devname.substring(2);
	}else {
		buf = devname.substring(1);
	}
	char number[buf.length() + 1];
	buf.toCharArray(number, buf.length() + 1);
	switch (devname.charAt(0)) {
	case 'X':
		DevNo = atoi(number);
		for (i = 0; i<sizeof(in_no); i++) {

			if (DevNo == in_no[i]) {
				if (value == 1) {
					in_data = in_data | (1 << i);
				}
				else {
					in_data = in_data & ~(1 << i);
				}
			}
		}
		break;
	case 'Y':
		break;
	case 'M':
		break;
	case 'L':
		break;
	case 'D':
		iDevNo = atoi(number);
		d_data[iDevNo] = value;
		break;
	case 'T':
		break;
	case 'C':
		break;
	case 'R':
		break;
	default:
		break;
	}
	//  Serial.print(iDevNo);
	//  Serial.print(":");
	//  Serial.print(DevNo);
	//  Serial.print(":");
	//  Serial.println(value);
}
void page0(WiFiClient client){
	 client.println("HTTP/1.1 200 OK");
	 client.println("Content-type:text/html");
	 client.println("Connection:close");  // the connection will be closed after completion of the response
	 client.println();
	 client.println("<!DOCTYPE HTML>\n<html><head lang=\"ja\"><meta charset=\"UTF-8\"></head>");
	 client.println("<body><main>");
	 client.println("<p>Ａｒｄｕｉｎｏデバイスモニタ・制御画面</p>");
	 client.println("<iframe src=\"page2\" style=\"width:auto; height:600px\"></iframe>");
	 client.println("<iframe src=\"page1\" style=\"width:auto; height:600px\"></iframe>");
	 client.println("</main></body>");
	 client.println("</html>");
}
void page1(WiFiClient client){
	 client.println("HTTP/1.1 200 OK");
	 client.println("Content-type:text/html");
	 client.println("Connection:keep-alive");  // the connection will be keeped after completion of the response
	 client.println("Refresh: 1");  // refresh the page automatically every 1 sec
	 client.println();
	 client.println("﻿<!DOCTYPE HTML> \n");
	 client.println("<html><head lang='ja'><meta charset='UTF-8'><title>デバイスモニタ</title></head> \n");
	 client.println("<body>\n");
	 client.println("<h2>デバイス監視盤</h2>\n");
	 client.println("X0037 is ");
	 client.println(GET_X(X0037,0037) ? 1:0);
	 client.println("<br />");
	 client.println("X0038 is ");
	 client.println(GET_X(X0038,0038) ? 1:0);
	 client.println("<br />");
	 client.println("X0039 is ");
	 client.println(GET_X(X0039,0039) ? 1:0);
	 client.println("<br />");
	 client.println("D0000 is ");
	 client.println(D0000);
	 client.println("<br />");
	 client.println("D0001 is ");
	 client.println(D0001);
	 client.println("<br />");
	 client.println("D0002 is ");
	 client.println(D0002);
	 client.println("<br />");
	 client.println("D0003 is ");
	 client.println(D0003);
	 client.println("<br />");
	 client.println("D0004 is ");
	 client.println(D0004);
	 client.println("<br />");
	 client.println("D0005 is ");
	 client.println(D0005);
	 client.println("<br />");
	 client.println("<br / > \n");
	 client.println("scantime is \n");
	 client.println(spantime);
	 client.println("<br / > \n");
	 client.println("maxspantime is \n");
	 client.println(maxspantime);
	 client.println("<br / > \n");
	 client.println("minspantime is \n");
	 client.println(minspantime);
	 client.println("<br / > \n");
	 client.print(D9020);
	 client.print("/");
	 client.print(D9021);
	 client.print("/");
	 client.print(D9022);
	 client.print("   ");
	 client.print(D9023);
	 client.print(":");
	 client.print(D9024);
	 client.print(":");
	 client.println(D9025);
	 client.print("<br / >\n");
	 client.print("D9020=");
	 client.print(D9020);
	 client.print("<br / >\n");
	 client.print("D9021=");
	 client.print(D9021);
	 client.print("<br / >\n");
	 client.print("D9022=");
	 client.print(D9022);
	 client.print("<br / >\n");
	 client.print("D9023=");
	 client.print(D9023);
	 client.print("<br / >\n");
	 client.print("D9024=");
	 client.print(D9024);
	 client.print("<br / >\n");
	 client.print("D9025=");
	 client.println(D9025);
	 client.print("<br / >\n");
	 client.println("</body></html>\n");
}
void page2(WiFiClient client){
	 client.println("HTTP/1.1 200 OK");
	 client.println("Content-type:text/html");
	 client.println("Connection:close");  // the connection will be closed after completion of the response
	 client.println();
	 client.println("﻿<!DOCTYPE HTML> ");
	 client.println("<html><head lang='ja'><meta charset='UTF-8'></head> ");
	 client.println("<body> ");
	 client.println("<h2>デバイス制御盤</h2><br / > ");
	 client.println(" ");
	 client.println("<form method='get' action='page2'> ");
	 client.println("</form> ");
	 client.println("<form method='get' action='page2'> ");
	 client.println("</form> ");
	 client.println("<form method='get' action='page2'> ");
	 client.println("D0000 変更");
	 client.println("<input type = 'submit' name = 'D0000' value = '100'> ");
	 client.println("<input type = 'text' name = 'D0000' size='6'> ");
	 client.println("<input type = 'submit' value='値変更'>");
	 client.println("<br />");
	 client.println("D0001 変更");
	 client.println("<input type = 'submit' name = 'D0001' value = '100'> ");
	 client.println("<input type = 'text' name = 'D0001' size='6'> ");
	 client.println("<input type = 'submit' value='値変更'>");
	 client.println("<br />");
	 client.println("D0002 変更");
	 client.println("<input type = 'submit' name = 'D0002' value = '100'> ");
	 client.println("<input type = 'text' name = 'D0002' size='6'> ");
	 client.println("<input type = 'submit' value='値変更'>");
	 client.println("<br />");
	 client.println("D0003 変更");
	 client.println("<input type = 'submit' name = 'D0003' value = '100'> ");
	 client.println("<input type = 'text' name = 'D0003' size='6'> ");
	 client.println("<input type = 'submit' value='値変更'>");
	 client.println("<br />");
	 client.println("D0004 変更");
	 client.println("<input type = 'submit' name = 'D0004' value = '100'> ");
	 client.println("<input type = 'text' name = 'D0004' size='6'> ");
	 client.println("<input type = 'submit' value='値変更'>");
	 client.println("<br />");
	 client.println("D0005 変更");
	 client.println("<input type = 'submit' name = 'D0005' value = '100'> ");
	 client.println("<input type = 'text' name = 'D0005' size='6'> ");
	 client.println("<input type = 'submit' value='値変更'>");
	 client.println("<br />");
	 client.println("</form> ");
	 client.println("</body> ");
	 client.println("</html> ");
}
void webpage(void *arg) {
	 // listen for incoming clients
	 while(1){
		delay(1);
		WiFiClient client = server.available();
		int waitcount=0;
		if (client) {
		String currentLine = "";
	  int	pageNumber = 1;
		while (client.connected()) {
	//		waitcount++;
	//		if (waitcount>3000) {waitcount=0; break;}
			if (client.available()) {
				char c = client.read();
//				Serial.write(c);
				if (c == '\n') {
					if (currentLine.length()==0){
						if (pageNumber == 1) {
							page1(client);
							maxspantime=0; minspantime=0xffffff;
						} else if (pageNumber == 2){
							page2(client);
						} else {
							page0(client);
						}
						break;
					} else {
						int getpos = currentLine.indexOf("GET");
						int pos = currentLine.indexOf("?");
						int endpos = currentLine.indexOf("HTTP/1.1");
						int andpos = 0;
						int equalpos = 0;
						String dev;
						String val;
						String pageStr;
						char  valarray[val.length()+1];
						short value;
						if (getpos>=0) { // GETHeader Check
							if (endpos >= 0) { // HTTP/1.1 Check 
								if (pos >= 4) {
									pageStr = currentLine.substring(4, pos);
								}
								else {
									pageStr = currentLine.substring(4, endpos - 1);
								}
								if (pageStr.equals("/")) {
									pageNumber = 0;
								}
								else if (pageStr.equals("/page1")) {
									pageNumber = 1;
								}
								else if (pageStr.equals("/page2")){
									pageNumber = 2;
								} else { pageNumber = 0; }
								if (pos>=0){ // Query Check
									pos += 1;
									andpos = currentLine.indexOf("&", pos);
									while (andpos<endpos) {
										equalpos = currentLine.indexOf("=", pos);
										if (equalpos<0) {
											break;
										}
										if (andpos>pos) {
											dev = currentLine.substring(pos, equalpos);
											val = currentLine.substring(equalpos + 1, andpos);
											val.toCharArray(valarray,val.length()+1);
											value = atoi(valarray);
											deviceSet(dev,value);
	//										Serial.println(dev + "," + val);
											pos = andpos + 1;
											andpos = currentLine.indexOf("&", andpos + 1);
										} else {
											dev = currentLine.substring(pos, equalpos);
											val = currentLine.substring(equalpos + 1, endpos);
											val.toCharArray(valarray,val.length()+1);
											value = atoi(valarray);
											deviceSet(dev,value);
	//										Serial.println(dev + "," + val);
											break;
										}
									}
								}
							} // HTTP/1.1 でない場合 
						} else {// GET HEADER でない場合
							
						}
					}
					currentLine = "";
	//				waitcount=0;
				} else if (c != '\r') {
					currentLine+=c;
				}

			}
			delayMicroseconds(0); //
		}
		client.stop();
	  delay(1);
	}
	}
}
	
void input_refresh() {
	 	 for (byte i=0; i<sizeof(in_no); i++) { 
	 	 	 if (digitalRead(in_no[i])==HIGH) { 
	 	 	 	 in_data = in_data & ~(0x01 << i);
	 	 	 } else { 
	 	 	 	 in_data = in_data | (0x01 << i);
	 	 	 }
	 	 }
} 
	 
// リンクリフレッシュ関数宣言部(将来のために用意)
void link_refresh()
{
	 
}
// タイマーの時間経過関数宣言部
void time_refresh() {
	 unsigned long nowtime; 
	 nowtime = micros(); 
	 spantime = nowtime - lasttime;
	 lasttime = nowtime;
	 nowtime = millis(); // 電源ＯＮ後の経過時間をmsで取得する
	 if (spantime>maxspantime) maxspantime=spantime;
	 if (spantime<minspantime) minspantime=spantime;
	 spantime_ms = nowtime - lasttime_ms;
	 lasttime_ms = nowtime;
	 
	 
} 
void writeEEPROM(int startAddr, int length, char* data) {
	 EEPROM.begin(EEPROM_SIZE);
	 Serial.println();
	 Serial.print("writing EEPROM: ");
	 for (int i = 0; i<length; i++) 
	 {
	 	 EEPROM.write(startAddr + i, data[i]);
	 	 Serial.print(data[i]);
	 }
	 EEPROM.commit();
	 EEPROM.end();
}
void readEEPROM(int startAddr, int length, char* data) {
	 EEPROM.begin(EEPROM_SIZE);
	 Serial.println();
	 Serial.print("reading EEPROM: ");
	 for (int i = 0; i<length; i++)
	 {
	 	 data[i] = EEPROM.read(startAddr + i);
	 	 Serial.print(data[i]);
	 }
	 EEPROM.end();
	 Serial.println("");
}
// special_relay refresh 
void special_refresh() {
	 static unsigned long c30s = 0;
// 500ms単位の動作（０．５秒のリレーを作る部分）
	 if ( systemtimes + spantime >= 500000) {
	 	 systemtimes = systemtimes + spantime - 500000;
	 	 if ( GET_E(M9032,0) ){
	 	 	 SET_E_OFF(M9032,0);
	 	 	 if (GET_E(M9033,0)) {
	 	 	 	 SET_E_OFF(M9033,0);
	 	 	 } else {
	 	 	 	 SET_E_ON(M9033,0);
	 	 	 } 
	 	 } else {
	 	 	 SET_E_ON(M9032,0);
	 	 } 
	 	 c30s++; 
	 	 if (c30s>=30){ 
	 	 	 c30s=0; 
	 	 	 if(GET_E(M9034,0)){ 
	 	 	 	 SET_E_OFF(M9034,0); 
	 	 	 } else { 
	 	 	 	 SET_E_ON(M9034,0); 
	 	 	 } 
	 	 } 
	 	  
	 } else { 
	 	 systemtimes += spantime;
	 }

//' 50ms単位の動作（０．１秒のリレーを作る部分）
	 if ( systemtime + spantime >= 50000) { 
	 	 systemtime = systemtime + spantime - 50000;
	 	 if ( GET_E(M9030,0) ){
	 	 	 SET_E_OFF(M9030,0);
	 	 	 if (GET_E(M9031,0)) {
	 	 	 	 SET_E_OFF(M9031,0);
	 	 	 } else { 
	 	 	 	 SET_E_ON(M9031,0);
	 	 	 } 
	 	 } else {
	 	 	 SET_E_ON(M9030,0);
	 	 }
	 } else {
	 	 systemtime += spantime;
	 }
	 
// 5ms単位の動作（０．０１秒のリレーを作る部分）
	 if ( systemtime10ms + spantime >= 5000) {
	 	 systemtime10ms = systemtime10ms + spantime - 5000;
	 	 if ( GET_E(M9035,0) ){
	 	 	 SET_E_OFF(M9035,0);
	 	 	 if (GET_E(M9039,0)) {
	 	 	 	 SET_E_OFF(M9039,0);
	 	 	 } else {
	 	 	 	 SET_E_ON(M9039,0);
	 	 	 }
	 	 } else {
	 	 	 SET_E_ON(M9035,0);
	 	 }
	 } else {
	 	 systemtime10ms += spantime;
	 }
} 
/////////////// bcd to bin function (4digit)
int bcdbin( int a )
{ 
	 int q ;
	 q = a&0x0f ;
	 q +=((a&0xf0)>>4)*10 ;
	 q +=((a&0xf00)>>8)*100 ;
	 q +=((a&0xf000)>>12)*1000 ;
	 return( q ) ;
}
/////////////// bcd to bin function (8digit)
long bcd8bin( long a )
{ 
	 int q ;
	 q = ( a & 0xf );
	 q +=((a&0xf0)>>4)*10 ;
	 q +=((a&0xf00)>>8)*100 ;
	 q +=((a&0xf000)>>12)*1000 ;
	 q +=((a&0xf0000)>>16)*10000 ;
	 q +=((a&0xf00000)>>20)*100000 ;
	 q +=((a&0xf000000)>>24)*1000000 ;
	 q +=((a&0xf0000000)>>28)*10000000 ;
	 return( q ) ;
}

/////////////// bin to bcd function (4digit)
int binbcd(int a)
{ 
	 int q,tmp; 
	 q = ( a % 10);   // 1
	 tmp = a / 10;
	 q |= ( (tmp % 10) ) << 4; // 10  
	 tmp = tmp / 10;
	 q |= ( (tmp % 10) ) << 8; // 100
	 tmp = tmp / 10;
	 q |= ( (tmp % 10) ) << 12; // 1000
	 return (q);
} 

/////////////// bin to bcd function (8digit)
long bin8bcd(long a)
{
	 int q,tmp; 
	 q = ( a % 10);   // 1
	 tmp = a / 10;
	 q |= ( (tmp % 10) ) << 4; // 10  
	 tmp = tmp / 10;
	 q |= ( (tmp % 10) ) << 8; // 100
	 tmp = tmp / 10;
	 q |= ( (tmp % 10) ) << 12; // 1000
	 tmp = tmp / 10;
	 q |= ( (tmp % 10) ) << 16; // 10000 
	 tmp = tmp / 10;
	 q |= ( (tmp % 10) ) << 20; // 100000 
	 tmp = tmp / 10;
	 q |= ( (tmp % 10) ) << 24; // 1000000 
	 tmp = tmp / 10;
	 q |= ( (tmp % 10) ) << 28; // 10000000 
	 return (q); 
}

