//   Professional File

////////////////////////////////////////////////////
// RenriVer 8.74  DllLibrary Arduino  0.05         //
// c source builder by  SEQ_CBuilder V             //
// TargetCPU = ESP32(WROOM32) Library=M5Stack      //
// make      SFT2x.ino File  2020/02/26 18:16 //
////////////////////////////////////////////////////
// device_list //
 // X0037 	X0038 	// XDevice = 2
 // // YDevice = 0 
 // M0000 	M0001 	M0002 	M0003 	M0004 	M0005 	M0006 	M0007 	M0008 	M0009 	M0010 	M0011 	M0012 	M0013 	M0014 	M0015 	M0016 	M0017 	M0018 	M0019 	M0020 	M0021 	M0022 	M0023 	M0024 	M0025 	M0026 	M0027 	M0028 	M0029 	M0030 	M0031 	M0032 	M0033 	M0034 	M0035 	M0036 	M0037 	M0038 	M0039 	M0040 	M0041 	M0042 	M0043 	M0044 	M0045 	M0046 	M0047 	M0048 	M0049 	M0100 	// MDevice = 51  
 // // DDevice = 0  
 // // TDevice = 0  
 // // CDevice = 0  
 // // LDevice = 0  
 // // rDevice = 0  
 // // jDevice = 0 
//// device_list //

#include  <M5Stack.h>
#include "SFT2x.h";

HardwareSerial mySerial1(1);  // 連枝のデバッグ用シリアルポート


// マイコンが起動するときに１度だけ呼び出される関数です。
// 主に初期化処理やデバイスの初期化のプログラムをユーザー側で作成します。
void setup(){
	 byte		tmp;

	 // M5Stackを使用する前の初期化関数の呼び出し
	 M5.begin();
	 dacWrite(25,0); // Speakerの出力を消す
	 
	 // プログラム書込みのシリアルポートを使用する場合は、以下の行のコメントを削除してください。
	 // Serial.begin(115200);
	 // Serial.println("setup start");


   mySerial1.begin(19200,SERIAL_8N1,17,16);  // パソコン側のシリアル(オンボードデバッグ用)
	 for (byte i=0; i<sizeof(in_no); i++) {
	 	 pinMode(in_no[i],INPUT);
	 }
	 
	 input_refresh();		// 入力更新処理
	 
	 
	 lasttime = micros(); // 時間の取得（ us単位 ）
	 lasttime_ms = millis(); // 時間の取得（ ms単位 )
	 q = 0x01;
	 SET_E_ON(M9038,0);     //  1スキャンＯＮリレーの生成
	 SET_E_ON(M9036,0);     //  常時ＯＮリレーの生成
	 SET_E_OFF(M9037,0);    // 常時ＯＦＦリレーの生成
	  M5.Lcd.init();	// TFTの初期化関数の呼び出し
	  tftInit();
	 // Serial.println("setup end");
}


// Ａｒｄｕｉｎｏがプログラムの実行時、繰り返し呼び出す関数です。
// loop関数の処理が終わるとＡｒｄｕｉｎｏの必要な処理を行います。
// その処理が終われば、再度Ａｒｄｕｉｎｏがloop関数を呼び出します。
////////////////////////////// Loop 開始(スキャンプログラム) //////////////////////////////
void loop(){			// 

  static uint16_t dataLength;
  static uint8_t stxFlag=0;   

	 int tmp;				// 
	 time_refresh();		// 時間の更新処理
	 link_refresh();		//	リンクリフレッシュ処理
	 special_refresh();	// 特殊リレーの更新処理
	 input_refresh();		// 入力更新処理
	 ldlg = 0x0; //  ブロック用変数;
	 aax = 0x0;  // 回路の状態保持変数;
	 trlg = 0x0; // ＭＰＳ／ＭＲＤ／ＭＰＰ;
	 iix = 0x01; // ＭＣ用変数の初期化;
	 ;
// LD
	 ldlg = (ldlg << 1) | (aax << 1); //
	 aax = 0x0; //
	 flag = GET_X(X0037,37);
	 if (flag){ //
	 	 aax |= 0x01; //
	 }//
//
// SET 
	 if (aax & iix) { 
	 	 // 条件が成立時マイスキャン実行されます。
	 	 SET_M_ON(M0000,0);
	 } 
// LD
	 ldlg = (ldlg << 1) | (aax << 1); //
	 aax = 0x0; //
	 flag = GET_X(X0038,38);
	 if (flag){ //
	 	 aax |= 0x01; //
	 }//
//
// MPS 
	 trlg = (trlg << 1) | (aax); 
// SFT 
// まだ未対応です。

	 if (aax & iix) { 
	 	 if (!GET_UTRG(UTRG0000, 0)) { 
	 	 	 	 if(GET_M(M0032,32)){
	 	 	 	 	 SET_M_ON(M0033,33);
	 	 	 	 } else {
	 	 	 	 	 SET_M_OFF(M0033,33);
	 	 	 	 }
	 	 	 	 SET_M_OFF(M0032,32);
	 	 	 SET_UTRG_ON(UTRG0000,0);
	 	 } 
	 } else {
	 	 	 SET_UTRG_OFF(UTRG0000,0);
	 } 
// SFT 
// まだ未対応です。

	 if (aax & iix) { 
	 	 if (!GET_UTRG(UTRG0001, 1)) { 
	 	 	 	 if(GET_M(M0031,31)){
	 	 	 	 	 SET_M_ON(M0032,32);
	 	 	 	 } else {
	 	 	 	 	 SET_M_OFF(M0032,32);
	 	 	 	 }
	 	 	 	 SET_M_OFF(M0031,31);
	 	 	 SET_UTRG_ON(UTRG0001,1);
	 	 } 
	 } else {
	 	 	 SET_UTRG_OFF(UTRG0001,1);
	 } 
// SFT 
// まだ未対応です。

	 if (aax & iix) { 
	 	 if (!GET_UTRG(UTRG0002, 2)) { 
	 	 	 	 if(GET_M(M0030,30)){
	 	 	 	 	 SET_M_ON(M0031,31);
	 	 	 	 } else {
	 	 	 	 	 SET_M_OFF(M0031,31);
	 	 	 	 }
	 	 	 	 SET_M_OFF(M0030,30);
	 	 	 SET_UTRG_ON(UTRG0002,2);
	 	 } 
	 } else {
	 	 	 SET_UTRG_OFF(UTRG0002,2);
	 } 
// SFT 
// まだ未対応です。

	 if (aax & iix) { 
	 	 if (!GET_UTRG(UTRG0003, 3)) { 
	 	 	 	 if(GET_M(M0029,29)){
	 	 	 	 	 SET_M_ON(M0030,30);
	 	 	 	 } else {
	 	 	 	 	 SET_M_OFF(M0030,30);
	 	 	 	 }
	 	 	 	 SET_M_OFF(M0029,29);
	 	 	 SET_UTRG_ON(UTRG0003,3);
	 	 } 
	 } else {
	 	 	 SET_UTRG_OFF(UTRG0003,3);
	 } 
// SFT 
// まだ未対応です。

	 if (aax & iix) { 
	 	 if (!GET_UTRG(UTRG0004, 4)) { 
	 	 	 	 if(GET_M(M0028,28)){
	 	 	 	 	 SET_M_ON(M0029,29);
	 	 	 	 } else {
	 	 	 	 	 SET_M_OFF(M0029,29);
	 	 	 	 }
	 	 	 	 SET_M_OFF(M0028,28);
	 	 	 SET_UTRG_ON(UTRG0004,4);
	 	 } 
	 } else {
	 	 	 SET_UTRG_OFF(UTRG0004,4);
	 } 
// SFT 
// まだ未対応です。

	 if (aax & iix) { 
	 	 if (!GET_UTRG(UTRG0005, 5)) { 
	 	 	 	 if(GET_M(M0027,27)){
	 	 	 	 	 SET_M_ON(M0028,28);
	 	 	 	 } else {
	 	 	 	 	 SET_M_OFF(M0028,28);
	 	 	 	 }
	 	 	 	 SET_M_OFF(M0027,27);
	 	 	 SET_UTRG_ON(UTRG0005,5);
	 	 } 
	 } else {
	 	 	 SET_UTRG_OFF(UTRG0005,5);
	 } 
// SFT 
// まだ未対応です。

	 if (aax & iix) { 
	 	 if (!GET_UTRG(UTRG0006, 6)) { 
	 	 	 	 if(GET_M(M0026,26)){
	 	 	 	 	 SET_M_ON(M0027,27);
	 	 	 	 } else {
	 	 	 	 	 SET_M_OFF(M0027,27);
	 	 	 	 }
	 	 	 	 SET_M_OFF(M0026,26);
	 	 	 SET_UTRG_ON(UTRG0006,6);
	 	 } 
	 } else {
	 	 	 SET_UTRG_OFF(UTRG0006,6);
	 } 
// MPP 
	 aax = 0; 
	 aax |= (trlg & 0x1); 
	 trlg >>= 0x1; 
// SFT 
// まだ未対応です。

	 if (aax & iix) { 
	 	 if (!GET_UTRG(UTRG0007, 7)) { 
	 	 	 	 if(GET_M(M0025,25)){
	 	 	 	 	 SET_M_ON(M0026,26);
	 	 	 	 } else {
	 	 	 	 	 SET_M_OFF(M0026,26);
	 	 	 	 }
	 	 	 	 SET_M_OFF(M0025,25);
	 	 	 SET_UTRG_ON(UTRG0007,7);
	 	 } 
	 } else {
	 	 	 SET_UTRG_OFF(UTRG0007,7);
	 } 
// LD
	 ldlg = (ldlg << 1) | (aax << 1); //
	 aax = 0x0; //
	 flag = GET_X(X0038,38);
	 if (flag){ //
	 	 aax |= 0x01; //
	 }//
//
// MPS 
	 trlg = (trlg << 1) | (aax); 
// SFT 
// まだ未対応です。

	 if (aax & iix) { 
	 	 if (!GET_UTRG(UTRG0008, 8)) { 
	 	 	 	 if(GET_M(M0024,24)){
	 	 	 	 	 SET_M_ON(M0025,25);
	 	 	 	 } else {
	 	 	 	 	 SET_M_OFF(M0025,25);
	 	 	 	 }
	 	 	 	 SET_M_OFF(M0024,24);
	 	 	 SET_UTRG_ON(UTRG0008,8);
	 	 } 
	 } else {
	 	 	 SET_UTRG_OFF(UTRG0008,8);
	 } 
// SFT 
// まだ未対応です。

	 if (aax & iix) { 
	 	 if (!GET_UTRG(UTRG0009, 9)) { 
	 	 	 	 if(GET_M(M0023,23)){
	 	 	 	 	 SET_M_ON(M0024,24);
	 	 	 	 } else {
	 	 	 	 	 SET_M_OFF(M0024,24);
	 	 	 	 }
	 	 	 	 SET_M_OFF(M0023,23);
	 	 	 SET_UTRG_ON(UTRG0009,9);
	 	 } 
	 } else {
	 	 	 SET_UTRG_OFF(UTRG0009,9);
	 } 
// SFT 
// まだ未対応です。

	 if (aax & iix) { 
	 	 if (!GET_UTRG(UTRG0010, 10)) { 
	 	 	 	 if(GET_M(M0022,22)){
	 	 	 	 	 SET_M_ON(M0023,23);
	 	 	 	 } else {
	 	 	 	 	 SET_M_OFF(M0023,23);
	 	 	 	 }
	 	 	 	 SET_M_OFF(M0022,22);
	 	 	 SET_UTRG_ON(UTRG0010,10);
	 	 } 
	 } else {
	 	 	 SET_UTRG_OFF(UTRG0010,10);
	 } 
// SFT 
// まだ未対応です。

	 if (aax & iix) { 
	 	 if (!GET_UTRG(UTRG0011, 11)) { 
	 	 	 	 if(GET_M(M0021,21)){
	 	 	 	 	 SET_M_ON(M0022,22);
	 	 	 	 } else {
	 	 	 	 	 SET_M_OFF(M0022,22);
	 	 	 	 }
	 	 	 	 SET_M_OFF(M0021,21);
	 	 	 SET_UTRG_ON(UTRG0011,11);
	 	 } 
	 } else {
	 	 	 SET_UTRG_OFF(UTRG0011,11);
	 } 
// SFT 
// まだ未対応です。

	 if (aax & iix) { 
	 	 if (!GET_UTRG(UTRG0012, 12)) { 
	 	 	 	 if(GET_M(M0020,20)){
	 	 	 	 	 SET_M_ON(M0021,21);
	 	 	 	 } else {
	 	 	 	 	 SET_M_OFF(M0021,21);
	 	 	 	 }
	 	 	 	 SET_M_OFF(M0020,20);
	 	 	 SET_UTRG_ON(UTRG0012,12);
	 	 } 
	 } else {
	 	 	 SET_UTRG_OFF(UTRG0012,12);
	 } 
// SFT 
// まだ未対応です。

	 if (aax & iix) { 
	 	 if (!GET_UTRG(UTRG0013, 13)) { 
	 	 	 	 if(GET_M(M0019,19)){
	 	 	 	 	 SET_M_ON(M0020,20);
	 	 	 	 } else {
	 	 	 	 	 SET_M_OFF(M0020,20);
	 	 	 	 }
	 	 	 	 SET_M_OFF(M0019,19);
	 	 	 SET_UTRG_ON(UTRG0013,13);
	 	 } 
	 } else {
	 	 	 SET_UTRG_OFF(UTRG0013,13);
	 } 
// SFT 
// まだ未対応です。

	 if (aax & iix) { 
	 	 if (!GET_UTRG(UTRG0014, 14)) { 
	 	 	 	 if(GET_M(M0018,18)){
	 	 	 	 	 SET_M_ON(M0019,19);
	 	 	 	 } else {
	 	 	 	 	 SET_M_OFF(M0019,19);
	 	 	 	 }
	 	 	 	 SET_M_OFF(M0018,18);
	 	 	 SET_UTRG_ON(UTRG0014,14);
	 	 } 
	 } else {
	 	 	 SET_UTRG_OFF(UTRG0014,14);
	 } 
// SFT 
// まだ未対応です。

	 if (aax & iix) { 
	 	 if (!GET_UTRG(UTRG0015, 15)) { 
	 	 	 	 if(GET_M(M0017,17)){
	 	 	 	 	 SET_M_ON(M0018,18);
	 	 	 	 } else {
	 	 	 	 	 SET_M_OFF(M0018,18);
	 	 	 	 }
	 	 	 	 SET_M_OFF(M0017,17);
	 	 	 SET_UTRG_ON(UTRG0015,15);
	 	 } 
	 } else {
	 	 	 SET_UTRG_OFF(UTRG0015,15);
	 } 
// SFT 
// まだ未対応です。

	 if (aax & iix) { 
	 	 if (!GET_UTRG(UTRG0016, 16)) { 
	 	 	 	 if(GET_M(M0016,16)){
	 	 	 	 	 SET_M_ON(M0017,17);
	 	 	 	 } else {
	 	 	 	 	 SET_M_OFF(M0017,17);
	 	 	 	 }
	 	 	 	 SET_M_OFF(M0016,16);
	 	 	 SET_UTRG_ON(UTRG0016,16);
	 	 } 
	 } else {
	 	 	 SET_UTRG_OFF(UTRG0016,16);
	 } 
// SFT 
// まだ未対応です。

	 if (aax & iix) { 
	 	 if (!GET_UTRG(UTRG0017, 17)) { 
	 	 	 	 if(GET_M(M0015,15)){
	 	 	 	 	 SET_M_ON(M0016,16);
	 	 	 	 } else {
	 	 	 	 	 SET_M_OFF(M0016,16);
	 	 	 	 }
	 	 	 	 SET_M_OFF(M0015,15);
	 	 	 SET_UTRG_ON(UTRG0017,17);
	 	 } 
	 } else {
	 	 	 SET_UTRG_OFF(UTRG0017,17);
	 } 
// SFT 
// まだ未対応です。

	 if (aax & iix) { 
	 	 if (!GET_UTRG(UTRG0018, 18)) { 
	 	 	 	 if(GET_M(M0014,14)){
	 	 	 	 	 SET_M_ON(M0015,15);
	 	 	 	 } else {
	 	 	 	 	 SET_M_OFF(M0015,15);
	 	 	 	 }
	 	 	 	 SET_M_OFF(M0014,14);
	 	 	 SET_UTRG_ON(UTRG0018,18);
	 	 } 
	 } else {
	 	 	 SET_UTRG_OFF(UTRG0018,18);
	 } 
// SFT 
// まだ未対応です。

	 if (aax & iix) { 
	 	 if (!GET_UTRG(UTRG0019, 19)) { 
	 	 	 	 if(GET_M(M0013,13)){
	 	 	 	 	 SET_M_ON(M0014,14);
	 	 	 	 } else {
	 	 	 	 	 SET_M_OFF(M0014,14);
	 	 	 	 }
	 	 	 	 SET_M_OFF(M0013,13);
	 	 	 SET_UTRG_ON(UTRG0019,19);
	 	 } 
	 } else {
	 	 	 SET_UTRG_OFF(UTRG0019,19);
	 } 
// SFT 
// まだ未対応です。

	 if (aax & iix) { 
	 	 if (!GET_UTRG(UTRG0020, 20)) { 
	 	 	 	 if(GET_M(M0012,12)){
	 	 	 	 	 SET_M_ON(M0013,13);
	 	 	 	 } else {
	 	 	 	 	 SET_M_OFF(M0013,13);
	 	 	 	 }
	 	 	 	 SET_M_OFF(M0012,12);
	 	 	 SET_UTRG_ON(UTRG0020,20);
	 	 } 
	 } else {
	 	 	 SET_UTRG_OFF(UTRG0020,20);
	 } 
// SFT 
// まだ未対応です。

	 if (aax & iix) { 
	 	 if (!GET_UTRG(UTRG0021, 21)) { 
	 	 	 	 if(GET_M(M0011,11)){
	 	 	 	 	 SET_M_ON(M0012,12);
	 	 	 	 } else {
	 	 	 	 	 SET_M_OFF(M0012,12);
	 	 	 	 }
	 	 	 	 SET_M_OFF(M0011,11);
	 	 	 SET_UTRG_ON(UTRG0021,21);
	 	 } 
	 } else {
	 	 	 SET_UTRG_OFF(UTRG0021,21);
	 } 
// SFT 
// まだ未対応です。

	 if (aax & iix) { 
	 	 if (!GET_UTRG(UTRG0022, 22)) { 
	 	 	 	 if(GET_M(M0010,10)){
	 	 	 	 	 SET_M_ON(M0011,11);
	 	 	 	 } else {
	 	 	 	 	 SET_M_OFF(M0011,11);
	 	 	 	 }
	 	 	 	 SET_M_OFF(M0010,10);
	 	 	 SET_UTRG_ON(UTRG0022,22);
	 	 } 
	 } else {
	 	 	 SET_UTRG_OFF(UTRG0022,22);
	 } 
// SFT 
// まだ未対応です。

	 if (aax & iix) { 
	 	 if (!GET_UTRG(UTRG0023, 23)) { 
	 	 	 	 if(GET_M(M0009,9)){
	 	 	 	 	 SET_M_ON(M0010,10);
	 	 	 	 } else {
	 	 	 	 	 SET_M_OFF(M0010,10);
	 	 	 	 }
	 	 	 	 SET_M_OFF(M0009,9);
	 	 	 SET_UTRG_ON(UTRG0023,23);
	 	 } 
	 } else {
	 	 	 SET_UTRG_OFF(UTRG0023,23);
	 } 
// SFT 
// まだ未対応です。

	 if (aax & iix) { 
	 	 if (!GET_UTRG(UTRG0024, 24)) { 
	 	 	 	 if(GET_M(M0008,8)){
	 	 	 	 	 SET_M_ON(M0009,9);
	 	 	 	 } else {
	 	 	 	 	 SET_M_OFF(M0009,9);
	 	 	 	 }
	 	 	 	 SET_M_OFF(M0008,8);
	 	 	 SET_UTRG_ON(UTRG0024,24);
	 	 } 
	 } else {
	 	 	 SET_UTRG_OFF(UTRG0024,24);
	 } 
// SFT 
// まだ未対応です。

	 if (aax & iix) { 
	 	 if (!GET_UTRG(UTRG0025, 25)) { 
	 	 	 	 if(GET_M(M0007,7)){
	 	 	 	 	 SET_M_ON(M0008,8);
	 	 	 	 } else {
	 	 	 	 	 SET_M_OFF(M0008,8);
	 	 	 	 }
	 	 	 	 SET_M_OFF(M0007,7);
	 	 	 SET_UTRG_ON(UTRG0025,25);
	 	 } 
	 } else {
	 	 	 SET_UTRG_OFF(UTRG0025,25);
	 } 
// SFT 
// まだ未対応です。

	 if (aax & iix) { 
	 	 if (!GET_UTRG(UTRG0026, 26)) { 
	 	 	 	 if(GET_M(M0006,6)){
	 	 	 	 	 SET_M_ON(M0007,7);
	 	 	 	 } else {
	 	 	 	 	 SET_M_OFF(M0007,7);
	 	 	 	 }
	 	 	 	 SET_M_OFF(M0006,6);
	 	 	 SET_UTRG_ON(UTRG0026,26);
	 	 } 
	 } else {
	 	 	 SET_UTRG_OFF(UTRG0026,26);
	 } 
// SFT 
// まだ未対応です。

	 if (aax & iix) { 
	 	 if (!GET_UTRG(UTRG0027, 27)) { 
	 	 	 	 if(GET_M(M0005,5)){
	 	 	 	 	 SET_M_ON(M0006,6);
	 	 	 	 } else {
	 	 	 	 	 SET_M_OFF(M0006,6);
	 	 	 	 }
	 	 	 	 SET_M_OFF(M0005,5);
	 	 	 SET_UTRG_ON(UTRG0027,27);
	 	 } 
	 } else {
	 	 	 SET_UTRG_OFF(UTRG0027,27);
	 } 
// SFT 
// まだ未対応です。

	 if (aax & iix) { 
	 	 if (!GET_UTRG(UTRG0028, 28)) { 
	 	 	 	 if(GET_M(M0004,4)){
	 	 	 	 	 SET_M_ON(M0005,5);
	 	 	 	 } else {
	 	 	 	 	 SET_M_OFF(M0005,5);
	 	 	 	 }
	 	 	 	 SET_M_OFF(M0004,4);
	 	 	 SET_UTRG_ON(UTRG0028,28);
	 	 } 
	 } else {
	 	 	 SET_UTRG_OFF(UTRG0028,28);
	 } 
// SFT 
// まだ未対応です。

	 if (aax & iix) { 
	 	 if (!GET_UTRG(UTRG0029, 29)) { 
	 	 	 	 if(GET_M(M0003,3)){
	 	 	 	 	 SET_M_ON(M0004,4);
	 	 	 	 } else {
	 	 	 	 	 SET_M_OFF(M0004,4);
	 	 	 	 }
	 	 	 	 SET_M_OFF(M0003,3);
	 	 	 SET_UTRG_ON(UTRG0029,29);
	 	 } 
	 } else {
	 	 	 SET_UTRG_OFF(UTRG0029,29);
	 } 
// SFT 
// まだ未対応です。

	 if (aax & iix) { 
	 	 if (!GET_UTRG(UTRG0030, 30)) { 
	 	 	 	 if(GET_M(M0002,2)){
	 	 	 	 	 SET_M_ON(M0003,3);
	 	 	 	 } else {
	 	 	 	 	 SET_M_OFF(M0003,3);
	 	 	 	 }
	 	 	 	 SET_M_OFF(M0002,2);
	 	 	 SET_UTRG_ON(UTRG0030,30);
	 	 } 
	 } else {
	 	 	 SET_UTRG_OFF(UTRG0030,30);
	 } 
// SFT 
// まだ未対応です。

	 if (aax & iix) { 
	 	 if (!GET_UTRG(UTRG0031, 31)) { 
	 	 	 	 if(GET_M(M0001,1)){
	 	 	 	 	 SET_M_ON(M0002,2);
	 	 	 	 } else {
	 	 	 	 	 SET_M_OFF(M0002,2);
	 	 	 	 }
	 	 	 	 SET_M_OFF(M0001,1);
	 	 	 SET_UTRG_ON(UTRG0031,31);
	 	 } 
	 } else {
	 	 	 SET_UTRG_OFF(UTRG0031,31);
	 } 
// MPP 
	 aax = 0; 
	 aax |= (trlg & 0x1); 
	 trlg >>= 0x1; 
// SFT 
// まだ未対応です。

	 if (aax & iix) { 
	 	 if (!GET_UTRG(UTRG0032, 32)) { 
	 	 	 	 if(GET_M(M0000,0)){
	 	 	 	 	 SET_M_ON(M0001,1);
	 	 	 	 } else {
	 	 	 	 	 SET_M_OFF(M0001,1);
	 	 	 	 }
	 	 	 	 SET_M_OFF(M0000,0);
	 	 	 SET_UTRG_ON(UTRG0032,32);
	 	 } 
	 } else {
	 	 	 SET_UTRG_OFF(UTRG0032,32);
	 } 
// LD
	 ldlg = (ldlg << 1) | (aax << 1); //
	 aax = 0x0; //
	 flag = GET_M(M0000,0);
	 if (flag){ //
	 	 aax |= 0x01; //
	 }//
//
// AND 
	 flag = GET_M(M0001,1);
	 if ( ! flag ){ //
	 	 aax &= ~0x01; //
	 }//
//
// AND 
	 flag = GET_M(M0002,2);
	 if ( ! flag ){ //
	 	 aax &= ~0x01; //
	 }//
//
// AND 
	 flag = GET_M(M0003,3);
	 if ( ! flag ){ //
	 	 aax &= ~0x01; //
	 }//
//
// AND 
	 flag = GET_M(M0004,4);
	 if ( ! flag ){ //
	 	 aax &= ~0x01; //
	 }//
//
// AND 
	 flag = GET_M(M0005,5);
	 if ( ! flag ){ //
	 	 aax &= ~0x01; //
	 }//
//
// AND 
	 flag = GET_M(M0006,6);
	 if ( ! flag ){ //
	 	 aax &= ~0x01; //
	 }//
//
// AND 
	 flag = GET_M(M0007,7);
	 if ( ! flag ){ //
	 	 aax &= ~0x01; //
	 }//
//
// AND 
	 flag = GET_M(M0008,8);
	 if ( ! flag ){ //
	 	 aax &= ~0x01; //
	 }//
//
// AND 
	 flag = GET_M(M0009,9);
	 if ( ! flag ){ //
	 	 aax &= ~0x01; //
	 }//
//
// LD
	 ldlg = (ldlg << 1) | (aax << 1); //
	 aax = 0x0; //
	 flag = GET_M(M0010,10);
	 if (flag){ //
	 	 aax |= 0x01; //
	 }//
//
// AND 
	 flag = GET_M(M0011,11);
	 if ( ! flag ){ //
	 	 aax &= ~0x01; //
	 }//
//
// AND 
	 flag = GET_M(M0012,12);
	 if ( ! flag ){ //
	 	 aax &= ~0x01; //
	 }//
//
// AND 
	 flag = GET_M(M0013,13);
	 if ( ! flag ){ //
	 	 aax &= ~0x01; //
	 }//
//
// AND 
	 flag = GET_M(M0014,14);
	 if ( ! flag ){ //
	 	 aax &= ~0x01; //
	 }//
//
// AND 
	 flag = GET_M(M0015,15);
	 if ( ! flag ){ //
	 	 aax &= ~0x01; //
	 }//
//
// AND 
	 flag = GET_M(M0016,16);
	 if ( ! flag ){ //
	 	 aax &= ~0x01; //
	 }//
//
// AND 
	 flag = GET_M(M0017,17);
	 if ( ! flag ){ //
	 	 aax &= ~0x01; //
	 }//
//
// AND 
	 flag = GET_M(M0018,18);
	 if ( ! flag ){ //
	 	 aax &= ~0x01; //
	 }//
//
// AND 
	 flag = GET_M(M0019,19);
	 if ( ! flag ){ //
	 	 aax &= ~0x01; //
	 }//
//
// ORB 
	 ldlg >>= 1; 
	 aax |= (ldlg & 0x01); 
// LD
	 ldlg = (ldlg << 1) | (aax << 1); //
	 aax = 0x0; //
	 flag = GET_M(M0020,20);
	 if (flag){ //
	 	 aax |= 0x01; //
	 }//
//
// AND 
	 flag = GET_M(M0021,21);
	 if ( ! flag ){ //
	 	 aax &= ~0x01; //
	 }//
//
// AND 
	 flag = GET_M(M0022,22);
	 if ( ! flag ){ //
	 	 aax &= ~0x01; //
	 }//
//
// AND 
	 flag = GET_M(M0023,23);
	 if ( ! flag ){ //
	 	 aax &= ~0x01; //
	 }//
//
// AND 
	 flag = GET_M(M0024,24);
	 if ( ! flag ){ //
	 	 aax &= ~0x01; //
	 }//
//
// AND 
	 flag = GET_M(M0025,25);
	 if ( ! flag ){ //
	 	 aax &= ~0x01; //
	 }//
//
// AND 
	 flag = GET_M(M0026,26);
	 if ( ! flag ){ //
	 	 aax &= ~0x01; //
	 }//
//
// AND 
	 flag = GET_M(M0027,27);
	 if ( ! flag ){ //
	 	 aax &= ~0x01; //
	 }//
//
// AND 
	 flag = GET_M(M0028,28);
	 if ( ! flag ){ //
	 	 aax &= ~0x01; //
	 }//
//
// AND 
	 flag = GET_M(M0029,29);
	 if ( ! flag ){ //
	 	 aax &= ~0x01; //
	 }//
//
// ORB 
	 ldlg >>= 1; 
	 aax |= (ldlg & 0x01); 
// LD
	 ldlg = (ldlg << 1) | (aax << 1); //
	 aax = 0x0; //
	 flag = GET_M(M0030,30);
	 if (flag){ //
	 	 aax |= 0x01; //
	 }//
//
// AND 
	 flag = GET_M(M0031,31);
	 if ( ! flag ){ //
	 	 aax &= ~0x01; //
	 }//
//
// AND 
	 flag = GET_M(M0032,32);
	 if ( ! flag ){ //
	 	 aax &= ~0x01; //
	 }//
//
// AND 
	 flag = GET_M(M0033,33);
	 if ( ! flag ){ //
	 	 aax &= ~0x01; //
	 }//
//
// AND 
	 flag = GET_M(M0034,34);
	 if ( ! flag ){ //
	 	 aax &= ~0x01; //
	 }//
//
// AND 
	 flag = GET_M(M0035,35);
	 if ( ! flag ){ //
	 	 aax &= ~0x01; //
	 }//
//
// AND 
	 flag = GET_M(M0036,36);
	 if ( ! flag ){ //
	 	 aax &= ~0x01; //
	 }//
//
// AND 
	 flag = GET_M(M0037,37);
	 if ( ! flag ){ //
	 	 aax &= ~0x01; //
	 }//
//
// AND 
	 flag = GET_M(M0038,38);
	 if ( ! flag ){ //
	 	 aax &= ~0x01; //
	 }//
//
// AND 
	 flag = GET_M(M0039,39);
	 if ( ! flag ){ //
	 	 aax &= ~0x01; //
	 }//
//
// ORB 
	 ldlg >>= 1; 
	 aax |= (ldlg & 0x01); 
// LD
	 ldlg = (ldlg << 1) | (aax << 1); //
	 aax = 0x0; //
	 flag = GET_M(M0040,40);
	 if (flag){ //
	 	 aax |= 0x01; //
	 }//
//
// AND 
	 flag = GET_M(M0041,41);
	 if ( ! flag ){ //
	 	 aax &= ~0x01; //
	 }//
//
// AND 
	 flag = GET_M(M0042,42);
	 if ( ! flag ){ //
	 	 aax &= ~0x01; //
	 }//
//
// AND 
	 flag = GET_M(M0043,43);
	 if ( ! flag ){ //
	 	 aax &= ~0x01; //
	 }//
//
// AND 
	 flag = GET_M(M0044,44);
	 if ( ! flag ){ //
	 	 aax &= ~0x01; //
	 }//
//
// AND 
	 flag = GET_M(M0045,45);
	 if ( ! flag ){ //
	 	 aax &= ~0x01; //
	 }//
//
// AND 
	 flag = GET_M(M0046,46);
	 if ( ! flag ){ //
	 	 aax &= ~0x01; //
	 }//
//
// AND 
	 flag = GET_M(M0047,47);
	 if ( ! flag ){ //
	 	 aax &= ~0x01; //
	 }//
//
// AND 
	 flag = GET_M(M0048,48);
	 if ( ! flag ){ //
	 	 aax &= ~0x01; //
	 }//
//
// AND 
	 flag = GET_M(M0049,49);
	 if ( ! flag ){ //
	 	 aax &= ~0x01; //
	 }//
//
// ORB 
	 ldlg >>= 1; 
	 aax |= (ldlg & 0x01); 
// OUT 
	 if (aax & iix) { 
	 	 // 条件が成立時マイスキャン実行されます。
	 	 SET_M_ON(M0100,100);
	 } else { 
	 	 // 条件が不成立時マイスキャン実行されます。
	 	 SET_M_OFF(M0100,100);
	 }
	 
// END 
//	 M5.update(); 
	// Serial.println();
	 SET_E_OFF(M9038,0);

 if (mySerial1.available()) {
    while(mySerial1.available()){
      int inByte = mySerial1.read();
			if ((stxFlag & 0x01) == 0) {  //  stx受信フラグがあるかどうかのチェック 0なし、1あり		
				if (inByte == 0x02) { //  １回目のＳＴＸ受信時		
					stxFlag = 1;    // STX受信フラグのセット		
					rvData[inposrc++] = (uint8_t)inByte;  // 受信データを格納		
				}		
				else {		
					inposrc = 0;		
					stxFlag = 0;		
				}		
			}		
			else {  // データサイズ受信フラグ判定		
				if ((stxFlag & 0x02) == 0) {  //  // データ長受信フラグがあるか判定 　0なし、2あり		
					rvData[inposrc++] = (uint8_t)inByte;    // 受信データを受信バッファにセット		
					dataLength = (uint8_t)inByte & 0x7F;  // データサイズをセット		
					stxFlag |= 0x02;    // データ長受信フラグありに変更		
				}		
				else {  // データサイズ受信フラグあり		
					rvData[inposrc++] = (uint8_t)inByte;    // 受信データを受信バッファにセット		
					if (dataLength < (inposrc - 4)) { // 受信データの位置が受信予定サイズより大きくなったら		
						inposrc = 0;            // 位置をクリアする		
						stxFlag = 0;            // 受信フラグをクリア		
					}		
					else if ((inposrc - 4) < dataLength) { // dataLengthより短い場合、データがそろっていない		
					}		
					else if (rvData[inposrc - 1] == 0x03) { // 終端文字ＥＴＸを受信したとき		
						int ressize;		
						ressize = AnalyzePacket(rvData, inposrc);		// 連枝からのモニタ要求に対する応答のデータ生成とデータ作成
						if (ressize>0) {		
							for (int sendcount = 0; sendcount < ressize; sendcount++) {		
								mySerial1.write(txData[sendcount]);		
							}		
						}		
						inposrc = 0;  // 位置をクリアする		
						stxFlag = 0;  //受信フラグをクリア		
					}		
					else {		
						// 受信予定サイズだけど、ETXじゃない場合   		
					}		
				}		
			}		
		}		
	}		


	
}
////////////////////////////// Loop 終了 //////////////////////////////
