//   Professional File

////////////////////////////////////////////////////
// RenriVer 8.74  DllLibrary Arduino  0.05         //
// c source builder by  SEQ_CBuilder V             //
// TargetCPU = ESP32(WROOM32) Library=M5Stack      //
// make   SROTSRIN.ino File  2020/02/05 09:55 //
////////////////////////////////////////////////////
// device_list //
 // X0021 	X0022 	// XDevice = 2
 // // YDevice = 0 
 // M0010 	M0020 	// MDevice = 2  
 // D0000 	D0020 	// DDevice = 2  
 // // TDevice = 0  
 // // CDevice = 0  
 // // LDevice = 0  
 // // rDevice = 0  
 // // jDevice = 0 
//// device_list //

#include  <M5Stack.h>
#include "SROTSRIN.h";
// 0,0,6

HardwareSerial mySerial1(1);  // 連枝のシリアル通信用シリアルポート
char seri_sendBuf[6];
char seri_recvBuf[6];


// マイコンが起動するときに１度だけ呼び出される関数です。
// 主に初期化処理やデバイスの初期化のプログラムをユーザー側で作成します。
void setup(){
	 byte		tmp;

	 // M5Stackを使用する前の初期化関数の呼び出し
	 M5.begin();
	 dacWrite(25,0); // Speakerの出力を消す
	 
	 // プログラム書込みのシリアルポートを使用する場合は、以下の行のコメントを削除してください。
	 // Serial.begin(115200);
	 // Serial.println("setup start");


	 mySerial1.begin(57600,SERIAL_8N1,17,16);  // パソコン側のシリアル（シリアル通信用）
	 seri_sendBuf[0]=0x02;
	 seri_sendBuf[1]=0x82;
	 seri_sendBuf[5]=0x03;
// デバッグ用のシリアル通信出力 
	 Serial.begin(115200);	// 通信速度：115200bps,データ長8bit,ストップビット1bit,パリティなし
	 for (byte i=0; i<sizeof(in_no); i++) {
	 	 pinMode(in_no[i],INPUT);
	 }
	 
	 input_refresh();		// 入力更新処理
	 
	 
	 lasttime = micros(); // 時間の取得（ us単位 ）
	 lasttime_ms = millis(); // 時間の取得（ ms単位 )
	 q = 0x01;
	 SET_E_ON(M9038,0);     //  1スキャンＯＮリレーの生成
	 SET_E_ON(M9036,0);     //  常時ＯＮリレーの生成
	 SET_E_OFF(M9037,0);    // 常時ＯＦＦリレーの生成
	 // Serial.println("setup end");
}


// Ａｒｄｕｉｎｏがプログラムの実行時、繰り返し呼び出す関数です。
// loop関数の処理が終わるとＡｒｄｕｉｎｏの必要な処理を行います。
// その処理が終われば、再度Ａｒｄｕｉｎｏがloop関数を呼び出します。
////////////////////////////// Loop 開始(スキャンプログラム) //////////////////////////////
void loop(){			// 

	 int tmp;				// 
	 time_refresh();		// 時間の更新処理
	 link_refresh();		//	リンクリフレッシュ処理
	 special_refresh();	// 特殊リレーの更新処理
	 input_refresh();		// 入力更新処理
	 ldlg = 0x0; //  ブロック用変数;
	 aax = 0x0;  // 回路の状態保持変数;
	 trlg = 0x0; // ＭＰＳ／ＭＲＤ／ＭＰＰ;
	 iix = 0x01; // ＭＣ用変数の初期化;
	 ;
//00009001 00000021 00000000 00000001 00000000 00000000
// // // LD b0 D0 B1 P0 F0 L0 BIN0 X0021 0 0 
 // LD
// LD(01) 
	 ldlg = (ldlg << 1) | (aax << 1); //
	 aax = 0x0; //
	 flag = GET_X(X0021,21);
	 if (flag){ //
	 	 aax |= 0x01; //
	 }//
//
//0010804F 00000020 D0000000 2000000A 00000000 00B00000
// // // // // SROT b0 D0 B0 P0 F0 L1 BIN0 K0020 D0000 M0010 11 0 
 // SROT 
// まだ未対応です。
// SROT(4F) 
	 if (aax & iix) { 
	 	 //　SROT　ここに通信プログラムが入る
	 	 //20,D0000,M0010
	 } 
//00009001 00000022 00000000 00000001 00000000 00000001
// // // LD b0 D0 B1 P0 F0 L0 BIN0 X0022 0 1 
 // LD
// LD(01) 
	 ldlg = (ldlg << 1) | (aax << 1); //
	 aax = 0x0; //
	 flag = GET_X(X0022,22);
	 if (flag){ //
	 	 aax |= 0x01; //
	 }//
//
//0010804E 00000020 D0000014 20000014 00000000 00B00001
// // // // // SRIN b0 D0 B0 P0 F0 L1 BIN0 K0020 D0020 M0020 11 1 
 // SRIN 
// まだ未対応です。
// SRIN(4E) 
	 if (aax & iix) { 
	 	 //　SRINここに通信プログラムが入る
	 	 //20,D0020,M0020
	 	 ;
	 } 
//00009001 20001F40 00000000 00000001 00000000 00000002
// // // LD b0 D0 B1 P0 F0 L0 BIN0 M8000 0 2 
 //0000800F 20001F45 00000000 00000007 00000000 00B00002
// // // OUTR b0 D0 B0 P0 F0 L0 BIN0 M8005 11 2 
 //00009010 00000000 00000000 00000000 00000000 00B00003
// // END b0 D0 B1 P0 F0 L0 BIN0 11 3 
 // END 
// END(10) 
//	 M5.update(); 
	// Serial.println();
	 SET_E_OFF(M9038,0);

	
}
////////////////////////////// Loop 終了 //////////////////////////////
