﻿// renri_tm1638.h
#ifndef RENRI_TM1638_H_INCLUDE
#define RENRI_TM1638_H_INCLUDE

#if defined(ARDUINO) && ARDUINO >= 100
	#include "Arduino.h"
#else
	#include "WProgram.h"
#endif

#define WAITTIME	1

class RENRI_TM1638 {
  public:
    
  public :
    RENRI_TM1638(byte sdio,byte sclk,byte sstb);
    RENRI_TM1638(byte sdio,byte sclk,byte sstb,byte bri);
    void WriteData(char senddata);
    char ReadData();
    void Write(char data);
    char Read();
    void SetIntToDisp(byte spos,int keta,int valdata);
    void SetLngToDisp(byte spos,int keta,long valdata);

    void SetVal(byte pos,int data,boolean dp=false);
    void SetDeg(byte pos,char data,boolean dp=false);
    void SetLed(byte pos,char data,boolean dp=false);
    void SetLed2(byte pos,char data,boolean dp=false);
    void Clear(boolean NumFlag=true);
    
    void SendCmd(byte data);
    void SendCmdSet(byte data);
    
    void SetBri(byte brightness);
    void SetOutput(byte pos,char data);
    void InUpdate();

    void OutUpdate();

    byte getData(byte pos);
    void Enable(){
      digitalWrite(stb,LOW);
    }
    void Disable(){
      digitalWrite(stb,HIGH);
    }
    byte ClearFlag=false;
  private:
    byte dio;
    byte clk;
    byte stb;
    byte led[8];
    byte seg7[8];
    byte bright; // 0-7 明るさ
    byte inData[4];
    byte intempData[4];
    byte incount[4];
    byte flag=false;
};

#endif

